using System;
using System.Collections;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Windows.Forms;
using Betfair.Gamex.API;
using Betfair.Gamex.API.Entities;
using System.Reflection;

namespace Betfair.Gamex.API.UberClient
{
	/// <summary>
	/// Summary description for HiLoHistory.
	/// </summary>
	public class HiLoHistory : System.Windows.Forms.UserControl
	{
		private System.Windows.Forms.Label lblGameDate;
		private System.Windows.Forms.Label lblGameID;
		private System.Windows.Forms.Label label2;
		private System.Windows.Forms.Label label1;
		/// <summary> 
		/// Required designer variable.
		/// </summary>
		private System.ComponentModel.Container components = null;
		private System.Windows.Forms.PictureBox pbCard11;
		private System.Windows.Forms.PictureBox pbCard10;
		private System.Windows.Forms.PictureBox pbCard9;
		private System.Windows.Forms.PictureBox pbCard13;
		private System.Windows.Forms.PictureBox pbCard12;
		private System.Windows.Forms.PictureBox pbCard8;
		private System.Windows.Forms.PictureBox pbCard7;
		private System.Windows.Forms.PictureBox pbCard6;
		private System.Windows.Forms.PictureBox pbCard5;
		private System.Windows.Forms.PictureBox pbCard4;
		private System.Windows.Forms.PictureBox pbCard3;
		private System.Windows.Forms.PictureBox pbCard2;
		private System.Windows.Forms.PictureBox pbCard1;
		private System.Windows.Forms.Label label4;
		private System.Windows.Forms.Label label5;
		private System.Windows.Forms.Label label7;
		private System.Windows.Forms.Label label9;
		private System.Windows.Forms.Label label11;
		private System.Windows.Forms.Label label13;
		private System.Windows.Forms.Label label15;
		private System.Windows.Forms.Label label17;
		private System.Windows.Forms.Label lbl13CardsStatus;
		private System.Windows.Forms.Label label21;
		private System.Windows.Forms.Label label23;
		private System.Windows.Forms.Label label25;
		private System.Windows.Forms.Label lbl3CardsStatus;
		private System.Windows.Forms.Label lbl4CardsStatus;
		private System.Windows.Forms.Label lbl6CardsStatus;
		private System.Windows.Forms.Label lbl5CardsStatus;
		private System.Windows.Forms.Label lbl10CardsStatus;
		private System.Windows.Forms.Label lbl9CardsStatus;
		private System.Windows.Forms.Label lbl8CardsStatus;
		private System.Windows.Forms.Label lbl7CardsStatus;
		private System.Windows.Forms.Label lbl12CardsStatus;
		private System.Windows.Forms.Label lbl11CardsStatus;
		private System.Windows.Forms.Label lbl2NoAce;
		private System.Windows.Forms.Label lbl4CardRunStatus;
		private System.Windows.Forms.Label lbl4CardRun;
		private System.Windows.Forms.Label lbl3CardRunStatus;
		private System.Windows.Forms.Label label14;
		private System.Windows.Forms.Label lbl2CardRunStatus;
		private System.Windows.Forms.Label label18;
		private System.Windows.Forms.Label lblNoPicsStatus;
		private System.Windows.Forms.Label label20;
		private System.Windows.Forms.Label lblNoAceStatus;
		private System.Windows.Forms.GroupBox groupBox1;
		private System.Windows.Forms.GroupBox groupBox2;
        private channelSnapshotChannelGame m_ChannelItem;

        public HiLoHistory(channelSnapshotChannelGame channelItem)
		{
			// This call is required by the Windows.Forms Form Designer.
			InitializeComponent();

			m_ChannelItem = channelItem;
			DisplayGame();
		}

		/// <summary> 
		/// Clean up any resources being used.
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if(components != null)
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region Component Designer generated code
		/// <summary> 
		/// Required method for Designer support - do not modify 
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{
			System.Resources.ResourceManager resources = new System.Resources.ResourceManager(typeof(HiLoHistory));
			this.lblGameDate = new System.Windows.Forms.Label();
			this.lblGameID = new System.Windows.Forms.Label();
			this.label2 = new System.Windows.Forms.Label();
			this.label1 = new System.Windows.Forms.Label();
			this.pbCard11 = new System.Windows.Forms.PictureBox();
			this.pbCard10 = new System.Windows.Forms.PictureBox();
			this.pbCard9 = new System.Windows.Forms.PictureBox();
			this.pbCard13 = new System.Windows.Forms.PictureBox();
			this.pbCard12 = new System.Windows.Forms.PictureBox();
			this.pbCard8 = new System.Windows.Forms.PictureBox();
			this.pbCard7 = new System.Windows.Forms.PictureBox();
			this.pbCard6 = new System.Windows.Forms.PictureBox();
			this.pbCard5 = new System.Windows.Forms.PictureBox();
			this.pbCard4 = new System.Windows.Forms.PictureBox();
			this.pbCard3 = new System.Windows.Forms.PictureBox();
			this.pbCard2 = new System.Windows.Forms.PictureBox();
			this.pbCard1 = new System.Windows.Forms.PictureBox();
			this.lbl3CardsStatus = new System.Windows.Forms.Label();
			this.label4 = new System.Windows.Forms.Label();
			this.lbl4CardsStatus = new System.Windows.Forms.Label();
			this.label5 = new System.Windows.Forms.Label();
			this.lbl6CardsStatus = new System.Windows.Forms.Label();
			this.label7 = new System.Windows.Forms.Label();
			this.lbl5CardsStatus = new System.Windows.Forms.Label();
			this.label9 = new System.Windows.Forms.Label();
			this.lbl10CardsStatus = new System.Windows.Forms.Label();
			this.label11 = new System.Windows.Forms.Label();
			this.lbl9CardsStatus = new System.Windows.Forms.Label();
			this.label13 = new System.Windows.Forms.Label();
			this.lbl8CardsStatus = new System.Windows.Forms.Label();
			this.label15 = new System.Windows.Forms.Label();
			this.lbl7CardsStatus = new System.Windows.Forms.Label();
			this.label17 = new System.Windows.Forms.Label();
			this.lbl13CardsStatus = new System.Windows.Forms.Label();
			this.label21 = new System.Windows.Forms.Label();
			this.lbl12CardsStatus = new System.Windows.Forms.Label();
			this.label23 = new System.Windows.Forms.Label();
			this.lbl11CardsStatus = new System.Windows.Forms.Label();
			this.label25 = new System.Windows.Forms.Label();
			this.lblNoAceStatus = new System.Windows.Forms.Label();
			this.lbl2NoAce = new System.Windows.Forms.Label();
			this.lbl4CardRunStatus = new System.Windows.Forms.Label();
			this.lbl4CardRun = new System.Windows.Forms.Label();
			this.lbl3CardRunStatus = new System.Windows.Forms.Label();
			this.label14 = new System.Windows.Forms.Label();
			this.lbl2CardRunStatus = new System.Windows.Forms.Label();
			this.label18 = new System.Windows.Forms.Label();
			this.lblNoPicsStatus = new System.Windows.Forms.Label();
			this.label20 = new System.Windows.Forms.Label();
			this.groupBox1 = new System.Windows.Forms.GroupBox();
			this.groupBox2 = new System.Windows.Forms.GroupBox();
			this.groupBox1.SuspendLayout();
			this.groupBox2.SuspendLayout();
			this.SuspendLayout();
			// 
			// lblGameDate
			// 
			this.lblGameDate.BackColor = System.Drawing.Color.White;
			this.lblGameDate.BorderStyle = System.Windows.Forms.BorderStyle.FixedSingle;
			this.lblGameDate.Location = new System.Drawing.Point(264, 2);
			this.lblGameDate.Name = "lblGameDate";
			this.lblGameDate.Size = new System.Drawing.Size(152, 23);
			this.lblGameDate.TabIndex = 56;
			this.lblGameDate.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// lblGameID
			// 
			this.lblGameID.BackColor = System.Drawing.Color.White;
			this.lblGameID.BorderStyle = System.Windows.Forms.BorderStyle.FixedSingle;
			this.lblGameID.Location = new System.Drawing.Point(64, 2);
			this.lblGameID.Name = "lblGameID";
			this.lblGameID.Size = new System.Drawing.Size(152, 23);
			this.lblGameID.TabIndex = 55;
			this.lblGameID.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// label2
			// 
			this.label2.BackColor = System.Drawing.Color.Transparent;
			this.label2.Location = new System.Drawing.Point(224, 0);
			this.label2.Name = "label2";
			this.label2.Size = new System.Drawing.Size(40, 23);
			this.label2.TabIndex = 54;
			this.label2.Text = "Date";
			this.label2.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// label1
			// 
			this.label1.BackColor = System.Drawing.Color.Transparent;
			this.label1.Location = new System.Drawing.Point(0, 2);
			this.label1.Name = "label1";
			this.label1.Size = new System.Drawing.Size(64, 23);
			this.label1.TabIndex = 53;
			this.label1.Text = "Game ID";
			this.label1.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// pbCard11
			// 
			this.pbCard11.BackColor = System.Drawing.Color.White;
			this.pbCard11.Image = ((System.Drawing.Image)(resources.GetObject("pbCard11.Image")));
			this.pbCard11.Location = new System.Drawing.Point(424, 32);
			this.pbCard11.Name = "pbCard11";
			this.pbCard11.Size = new System.Drawing.Size(30, 35);
			this.pbCard11.TabIndex = 110;
			this.pbCard11.TabStop = false;
			// 
			// pbCard10
			// 
			this.pbCard10.BackColor = System.Drawing.Color.White;
			this.pbCard10.Image = ((System.Drawing.Image)(resources.GetObject("pbCard10.Image")));
			this.pbCard10.Location = new System.Drawing.Point(392, 32);
			this.pbCard10.Name = "pbCard10";
			this.pbCard10.Size = new System.Drawing.Size(30, 35);
			this.pbCard10.TabIndex = 109;
			this.pbCard10.TabStop = false;
			// 
			// pbCard9
			// 
			this.pbCard9.BackColor = System.Drawing.Color.White;
			this.pbCard9.Image = ((System.Drawing.Image)(resources.GetObject("pbCard9.Image")));
			this.pbCard9.Location = new System.Drawing.Point(360, 32);
			this.pbCard9.Name = "pbCard9";
			this.pbCard9.Size = new System.Drawing.Size(30, 35);
			this.pbCard9.TabIndex = 108;
			this.pbCard9.TabStop = false;
			// 
			// pbCard13
			// 
			this.pbCard13.BackColor = System.Drawing.Color.White;
			this.pbCard13.Image = ((System.Drawing.Image)(resources.GetObject("pbCard13.Image")));
			this.pbCard13.Location = new System.Drawing.Point(488, 32);
			this.pbCard13.Name = "pbCard13";
			this.pbCard13.Size = new System.Drawing.Size(30, 35);
			this.pbCard13.TabIndex = 107;
			this.pbCard13.TabStop = false;
			// 
			// pbCard12
			// 
			this.pbCard12.BackColor = System.Drawing.Color.White;
			this.pbCard12.Image = ((System.Drawing.Image)(resources.GetObject("pbCard12.Image")));
			this.pbCard12.Location = new System.Drawing.Point(456, 32);
			this.pbCard12.Name = "pbCard12";
			this.pbCard12.Size = new System.Drawing.Size(30, 35);
			this.pbCard12.TabIndex = 106;
			this.pbCard12.TabStop = false;
			// 
			// pbCard8
			// 
			this.pbCard8.BackColor = System.Drawing.Color.White;
			this.pbCard8.Image = ((System.Drawing.Image)(resources.GetObject("pbCard8.Image")));
			this.pbCard8.Location = new System.Drawing.Point(328, 32);
			this.pbCard8.Name = "pbCard8";
			this.pbCard8.Size = new System.Drawing.Size(30, 35);
			this.pbCard8.TabIndex = 105;
			this.pbCard8.TabStop = false;
			// 
			// pbCard7
			// 
			this.pbCard7.BackColor = System.Drawing.Color.White;
			this.pbCard7.Image = ((System.Drawing.Image)(resources.GetObject("pbCard7.Image")));
			this.pbCard7.Location = new System.Drawing.Point(296, 32);
			this.pbCard7.Name = "pbCard7";
			this.pbCard7.Size = new System.Drawing.Size(30, 35);
			this.pbCard7.TabIndex = 104;
			this.pbCard7.TabStop = false;
			// 
			// pbCard6
			// 
			this.pbCard6.BackColor = System.Drawing.Color.White;
			this.pbCard6.Image = ((System.Drawing.Image)(resources.GetObject("pbCard6.Image")));
			this.pbCard6.Location = new System.Drawing.Point(264, 32);
			this.pbCard6.Name = "pbCard6";
			this.pbCard6.Size = new System.Drawing.Size(30, 35);
			this.pbCard6.TabIndex = 103;
			this.pbCard6.TabStop = false;
			// 
			// pbCard5
			// 
			this.pbCard5.BackColor = System.Drawing.Color.White;
			this.pbCard5.Image = ((System.Drawing.Image)(resources.GetObject("pbCard5.Image")));
			this.pbCard5.Location = new System.Drawing.Point(232, 32);
			this.pbCard5.Name = "pbCard5";
			this.pbCard5.Size = new System.Drawing.Size(30, 35);
			this.pbCard5.TabIndex = 102;
			this.pbCard5.TabStop = false;
			// 
			// pbCard4
			// 
			this.pbCard4.BackColor = System.Drawing.Color.White;
			this.pbCard4.Image = ((System.Drawing.Image)(resources.GetObject("pbCard4.Image")));
			this.pbCard4.Location = new System.Drawing.Point(200, 32);
			this.pbCard4.Name = "pbCard4";
			this.pbCard4.Size = new System.Drawing.Size(30, 35);
			this.pbCard4.TabIndex = 101;
			this.pbCard4.TabStop = false;
			// 
			// pbCard3
			// 
			this.pbCard3.BackColor = System.Drawing.Color.White;
			this.pbCard3.Image = ((System.Drawing.Image)(resources.GetObject("pbCard3.Image")));
			this.pbCard3.Location = new System.Drawing.Point(168, 32);
			this.pbCard3.Name = "pbCard3";
			this.pbCard3.Size = new System.Drawing.Size(30, 35);
			this.pbCard3.TabIndex = 100;
			this.pbCard3.TabStop = false;
			// 
			// pbCard2
			// 
			this.pbCard2.BackColor = System.Drawing.Color.White;
			this.pbCard2.Image = ((System.Drawing.Image)(resources.GetObject("pbCard2.Image")));
			this.pbCard2.Location = new System.Drawing.Point(136, 32);
			this.pbCard2.Name = "pbCard2";
			this.pbCard2.Size = new System.Drawing.Size(30, 35);
			this.pbCard2.TabIndex = 99;
			this.pbCard2.TabStop = false;
			// 
			// pbCard1
			// 
			this.pbCard1.BackColor = System.Drawing.Color.White;
			this.pbCard1.Image = ((System.Drawing.Image)(resources.GetObject("pbCard1.Image")));
			this.pbCard1.Location = new System.Drawing.Point(104, 32);
			this.pbCard1.Name = "pbCard1";
			this.pbCard1.Size = new System.Drawing.Size(30, 35);
			this.pbCard1.TabIndex = 98;
			this.pbCard1.TabStop = false;
			// 
			// lbl3CardsStatus
			// 
			this.lbl3CardsStatus.BackColor = System.Drawing.Color.Green;
			this.lbl3CardsStatus.Font = new System.Drawing.Font("Microsoft Sans Serif", 6.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.lbl3CardsStatus.ForeColor = System.Drawing.Color.White;
			this.lbl3CardsStatus.Location = new System.Drawing.Point(128, 16);
			this.lbl3CardsStatus.Name = "lbl3CardsStatus";
			this.lbl3CardsStatus.Size = new System.Drawing.Size(56, 14);
			this.lbl3CardsStatus.TabIndex = 139;
			this.lbl3CardsStatus.Text = "Status";
			this.lbl3CardsStatus.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// label4
			// 
			this.label4.BackColor = System.Drawing.Color.White;
			this.label4.Font = new System.Drawing.Font("Microsoft Sans Serif", 6.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.label4.ForeColor = System.Drawing.Color.Black;
			this.label4.Location = new System.Drawing.Point(16, 16);
			this.label4.Name = "label4";
			this.label4.Size = new System.Drawing.Size(112, 14);
			this.label4.TabIndex = 138;
			this.label4.Text = "3 Cards Or More";
			this.label4.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// lbl4CardsStatus
			// 
			this.lbl4CardsStatus.BackColor = System.Drawing.Color.Green;
			this.lbl4CardsStatus.Font = new System.Drawing.Font("Microsoft Sans Serif", 6.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.lbl4CardsStatus.ForeColor = System.Drawing.Color.White;
			this.lbl4CardsStatus.Location = new System.Drawing.Point(128, 32);
			this.lbl4CardsStatus.Name = "lbl4CardsStatus";
			this.lbl4CardsStatus.Size = new System.Drawing.Size(56, 14);
			this.lbl4CardsStatus.TabIndex = 141;
			this.lbl4CardsStatus.Text = "Status";
			this.lbl4CardsStatus.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// label5
			// 
			this.label5.BackColor = System.Drawing.Color.White;
			this.label5.Font = new System.Drawing.Font("Microsoft Sans Serif", 6.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.label5.ForeColor = System.Drawing.Color.Black;
			this.label5.Location = new System.Drawing.Point(16, 32);
			this.label5.Name = "label5";
			this.label5.Size = new System.Drawing.Size(112, 14);
			this.label5.TabIndex = 140;
			this.label5.Text = "4 Cards Or More";
			this.label5.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// lbl6CardsStatus
			// 
			this.lbl6CardsStatus.BackColor = System.Drawing.Color.Green;
			this.lbl6CardsStatus.Font = new System.Drawing.Font("Microsoft Sans Serif", 6.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.lbl6CardsStatus.ForeColor = System.Drawing.Color.White;
			this.lbl6CardsStatus.Location = new System.Drawing.Point(128, 64);
			this.lbl6CardsStatus.Name = "lbl6CardsStatus";
			this.lbl6CardsStatus.Size = new System.Drawing.Size(56, 14);
			this.lbl6CardsStatus.TabIndex = 145;
			this.lbl6CardsStatus.Text = "Status";
			this.lbl6CardsStatus.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// label7
			// 
			this.label7.BackColor = System.Drawing.Color.White;
			this.label7.Font = new System.Drawing.Font("Microsoft Sans Serif", 6.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.label7.ForeColor = System.Drawing.Color.Black;
			this.label7.Location = new System.Drawing.Point(16, 64);
			this.label7.Name = "label7";
			this.label7.Size = new System.Drawing.Size(112, 14);
			this.label7.TabIndex = 144;
			this.label7.Text = "6 Cards Or More";
			this.label7.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// lbl5CardsStatus
			// 
			this.lbl5CardsStatus.BackColor = System.Drawing.Color.Green;
			this.lbl5CardsStatus.Font = new System.Drawing.Font("Microsoft Sans Serif", 6.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.lbl5CardsStatus.ForeColor = System.Drawing.Color.White;
			this.lbl5CardsStatus.Location = new System.Drawing.Point(128, 48);
			this.lbl5CardsStatus.Name = "lbl5CardsStatus";
			this.lbl5CardsStatus.Size = new System.Drawing.Size(56, 14);
			this.lbl5CardsStatus.TabIndex = 143;
			this.lbl5CardsStatus.Text = "Status";
			this.lbl5CardsStatus.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// label9
			// 
			this.label9.BackColor = System.Drawing.Color.White;
			this.label9.Font = new System.Drawing.Font("Microsoft Sans Serif", 6.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.label9.ForeColor = System.Drawing.Color.Black;
			this.label9.Location = new System.Drawing.Point(16, 48);
			this.label9.Name = "label9";
			this.label9.Size = new System.Drawing.Size(112, 14);
			this.label9.TabIndex = 142;
			this.label9.Text = "5 Cards Or More";
			this.label9.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// lbl10CardsStatus
			// 
			this.lbl10CardsStatus.BackColor = System.Drawing.Color.Green;
			this.lbl10CardsStatus.Font = new System.Drawing.Font("Microsoft Sans Serif", 6.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.lbl10CardsStatus.ForeColor = System.Drawing.Color.White;
			this.lbl10CardsStatus.Location = new System.Drawing.Point(304, 64);
			this.lbl10CardsStatus.Name = "lbl10CardsStatus";
			this.lbl10CardsStatus.Size = new System.Drawing.Size(56, 14);
			this.lbl10CardsStatus.TabIndex = 153;
			this.lbl10CardsStatus.Text = "Status";
			this.lbl10CardsStatus.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// label11
			// 
			this.label11.BackColor = System.Drawing.Color.White;
			this.label11.Font = new System.Drawing.Font("Microsoft Sans Serif", 6.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.label11.ForeColor = System.Drawing.Color.Black;
			this.label11.Location = new System.Drawing.Point(192, 64);
			this.label11.Name = "label11";
			this.label11.Size = new System.Drawing.Size(112, 14);
			this.label11.TabIndex = 152;
			this.label11.Text = "10 Cards Or More";
			this.label11.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// lbl9CardsStatus
			// 
			this.lbl9CardsStatus.BackColor = System.Drawing.Color.Green;
			this.lbl9CardsStatus.Font = new System.Drawing.Font("Microsoft Sans Serif", 6.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.lbl9CardsStatus.ForeColor = System.Drawing.Color.White;
			this.lbl9CardsStatus.Location = new System.Drawing.Point(304, 48);
			this.lbl9CardsStatus.Name = "lbl9CardsStatus";
			this.lbl9CardsStatus.Size = new System.Drawing.Size(56, 14);
			this.lbl9CardsStatus.TabIndex = 151;
			this.lbl9CardsStatus.Text = "Status";
			this.lbl9CardsStatus.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// label13
			// 
			this.label13.BackColor = System.Drawing.Color.White;
			this.label13.Font = new System.Drawing.Font("Microsoft Sans Serif", 6.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.label13.ForeColor = System.Drawing.Color.Black;
			this.label13.Location = new System.Drawing.Point(192, 48);
			this.label13.Name = "label13";
			this.label13.Size = new System.Drawing.Size(112, 14);
			this.label13.TabIndex = 150;
			this.label13.Text = "9 Cards Or More";
			this.label13.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// lbl8CardsStatus
			// 
			this.lbl8CardsStatus.BackColor = System.Drawing.Color.Green;
			this.lbl8CardsStatus.Font = new System.Drawing.Font("Microsoft Sans Serif", 6.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.lbl8CardsStatus.ForeColor = System.Drawing.Color.White;
			this.lbl8CardsStatus.Location = new System.Drawing.Point(304, 32);
			this.lbl8CardsStatus.Name = "lbl8CardsStatus";
			this.lbl8CardsStatus.Size = new System.Drawing.Size(56, 14);
			this.lbl8CardsStatus.TabIndex = 149;
			this.lbl8CardsStatus.Text = "Status";
			this.lbl8CardsStatus.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// label15
			// 
			this.label15.BackColor = System.Drawing.Color.White;
			this.label15.Font = new System.Drawing.Font("Microsoft Sans Serif", 6.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.label15.ForeColor = System.Drawing.Color.Black;
			this.label15.Location = new System.Drawing.Point(192, 32);
			this.label15.Name = "label15";
			this.label15.Size = new System.Drawing.Size(112, 14);
			this.label15.TabIndex = 148;
			this.label15.Text = "8 Cards Or More";
			this.label15.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// lbl7CardsStatus
			// 
			this.lbl7CardsStatus.BackColor = System.Drawing.Color.Green;
			this.lbl7CardsStatus.Font = new System.Drawing.Font("Microsoft Sans Serif", 6.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.lbl7CardsStatus.ForeColor = System.Drawing.Color.White;
			this.lbl7CardsStatus.Location = new System.Drawing.Point(304, 16);
			this.lbl7CardsStatus.Name = "lbl7CardsStatus";
			this.lbl7CardsStatus.Size = new System.Drawing.Size(56, 14);
			this.lbl7CardsStatus.TabIndex = 147;
			this.lbl7CardsStatus.Text = "Status";
			this.lbl7CardsStatus.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// label17
			// 
			this.label17.BackColor = System.Drawing.Color.White;
			this.label17.Font = new System.Drawing.Font("Microsoft Sans Serif", 6.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.label17.ForeColor = System.Drawing.Color.Black;
			this.label17.Location = new System.Drawing.Point(192, 16);
			this.label17.Name = "label17";
			this.label17.Size = new System.Drawing.Size(112, 14);
			this.label17.TabIndex = 146;
			this.label17.Text = "7 Cards Or More";
			this.label17.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// lbl13CardsStatus
			// 
			this.lbl13CardsStatus.BackColor = System.Drawing.Color.Green;
			this.lbl13CardsStatus.Font = new System.Drawing.Font("Microsoft Sans Serif", 6.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.lbl13CardsStatus.ForeColor = System.Drawing.Color.White;
			this.lbl13CardsStatus.Location = new System.Drawing.Point(480, 48);
			this.lbl13CardsStatus.Name = "lbl13CardsStatus";
			this.lbl13CardsStatus.Size = new System.Drawing.Size(56, 14);
			this.lbl13CardsStatus.TabIndex = 159;
			this.lbl13CardsStatus.Text = "Status";
			this.lbl13CardsStatus.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// label21
			// 
			this.label21.BackColor = System.Drawing.Color.White;
			this.label21.Font = new System.Drawing.Font("Microsoft Sans Serif", 6.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.label21.ForeColor = System.Drawing.Color.Black;
			this.label21.Location = new System.Drawing.Point(368, 48);
			this.label21.Name = "label21";
			this.label21.Size = new System.Drawing.Size(112, 14);
			this.label21.TabIndex = 158;
			this.label21.Text = "13 Cards";
			this.label21.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// lbl12CardsStatus
			// 
			this.lbl12CardsStatus.BackColor = System.Drawing.Color.Green;
			this.lbl12CardsStatus.Font = new System.Drawing.Font("Microsoft Sans Serif", 6.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.lbl12CardsStatus.ForeColor = System.Drawing.Color.White;
			this.lbl12CardsStatus.Location = new System.Drawing.Point(480, 32);
			this.lbl12CardsStatus.Name = "lbl12CardsStatus";
			this.lbl12CardsStatus.Size = new System.Drawing.Size(56, 14);
			this.lbl12CardsStatus.TabIndex = 157;
			this.lbl12CardsStatus.Text = "Status";
			this.lbl12CardsStatus.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// label23
			// 
			this.label23.BackColor = System.Drawing.Color.White;
			this.label23.Font = new System.Drawing.Font("Microsoft Sans Serif", 6.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.label23.ForeColor = System.Drawing.Color.Black;
			this.label23.Location = new System.Drawing.Point(368, 32);
			this.label23.Name = "label23";
			this.label23.Size = new System.Drawing.Size(112, 14);
			this.label23.TabIndex = 156;
			this.label23.Text = "12 Cards Or More";
			this.label23.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// lbl11CardsStatus
			// 
			this.lbl11CardsStatus.BackColor = System.Drawing.Color.Green;
			this.lbl11CardsStatus.Font = new System.Drawing.Font("Microsoft Sans Serif", 6.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.lbl11CardsStatus.ForeColor = System.Drawing.Color.White;
			this.lbl11CardsStatus.Location = new System.Drawing.Point(480, 16);
			this.lbl11CardsStatus.Name = "lbl11CardsStatus";
			this.lbl11CardsStatus.Size = new System.Drawing.Size(56, 14);
			this.lbl11CardsStatus.TabIndex = 155;
			this.lbl11CardsStatus.Text = "Status";
			this.lbl11CardsStatus.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// label25
			// 
			this.label25.BackColor = System.Drawing.Color.White;
			this.label25.Font = new System.Drawing.Font("Microsoft Sans Serif", 6.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.label25.ForeColor = System.Drawing.Color.Black;
			this.label25.Location = new System.Drawing.Point(368, 16);
			this.label25.Name = "label25";
			this.label25.Size = new System.Drawing.Size(112, 14);
			this.label25.TabIndex = 154;
			this.label25.Text = "11 Cards Or More";
			this.label25.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// lblNoAceStatus
			// 
			this.lblNoAceStatus.BackColor = System.Drawing.Color.Green;
			this.lblNoAceStatus.Font = new System.Drawing.Font("Microsoft Sans Serif", 6.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.lblNoAceStatus.ForeColor = System.Drawing.Color.White;
			this.lblNoAceStatus.Location = new System.Drawing.Point(304, 32);
			this.lblNoAceStatus.Name = "lblNoAceStatus";
			this.lblNoAceStatus.Size = new System.Drawing.Size(56, 14);
			this.lblNoAceStatus.TabIndex = 167;
			this.lblNoAceStatus.Text = "Status";
			this.lblNoAceStatus.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// lbl2NoAce
			// 
			this.lbl2NoAce.BackColor = System.Drawing.Color.White;
			this.lbl2NoAce.Font = new System.Drawing.Font("Microsoft Sans Serif", 6.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.lbl2NoAce.ForeColor = System.Drawing.Color.Black;
			this.lbl2NoAce.Location = new System.Drawing.Point(192, 32);
			this.lbl2NoAce.Name = "lbl2NoAce";
			this.lbl2NoAce.Size = new System.Drawing.Size(112, 14);
			this.lbl2NoAce.TabIndex = 166;
			this.lbl2NoAce.Text = "No Ace";
			this.lbl2NoAce.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// lbl4CardRunStatus
			// 
			this.lbl4CardRunStatus.BackColor = System.Drawing.Color.Green;
			this.lbl4CardRunStatus.Font = new System.Drawing.Font("Microsoft Sans Serif", 6.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.lbl4CardRunStatus.ForeColor = System.Drawing.Color.White;
			this.lbl4CardRunStatus.Location = new System.Drawing.Point(304, 16);
			this.lbl4CardRunStatus.Name = "lbl4CardRunStatus";
			this.lbl4CardRunStatus.Size = new System.Drawing.Size(56, 14);
			this.lbl4CardRunStatus.TabIndex = 165;
			this.lbl4CardRunStatus.Text = "Status";
			this.lbl4CardRunStatus.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// lbl4CardRun
			// 
			this.lbl4CardRun.BackColor = System.Drawing.Color.White;
			this.lbl4CardRun.Font = new System.Drawing.Font("Microsoft Sans Serif", 6.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.lbl4CardRun.ForeColor = System.Drawing.Color.Black;
			this.lbl4CardRun.Location = new System.Drawing.Point(192, 16);
			this.lbl4CardRun.Name = "lbl4CardRun";
			this.lbl4CardRun.Size = new System.Drawing.Size(112, 14);
			this.lbl4CardRun.TabIndex = 164;
			this.lbl4CardRun.Text = "4 Card Run";
			this.lbl4CardRun.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// lbl3CardRunStatus
			// 
			this.lbl3CardRunStatus.BackColor = System.Drawing.Color.Green;
			this.lbl3CardRunStatus.Font = new System.Drawing.Font("Microsoft Sans Serif", 6.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.lbl3CardRunStatus.ForeColor = System.Drawing.Color.White;
			this.lbl3CardRunStatus.Location = new System.Drawing.Point(128, 32);
			this.lbl3CardRunStatus.Name = "lbl3CardRunStatus";
			this.lbl3CardRunStatus.Size = new System.Drawing.Size(56, 14);
			this.lbl3CardRunStatus.TabIndex = 163;
			this.lbl3CardRunStatus.Text = "Status";
			this.lbl3CardRunStatus.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// label14
			// 
			this.label14.BackColor = System.Drawing.Color.White;
			this.label14.Font = new System.Drawing.Font("Microsoft Sans Serif", 6.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.label14.ForeColor = System.Drawing.Color.Black;
			this.label14.Location = new System.Drawing.Point(16, 32);
			this.label14.Name = "label14";
			this.label14.Size = new System.Drawing.Size(112, 14);
			this.label14.TabIndex = 162;
			this.label14.Text = "3 Card Run";
			this.label14.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// lbl2CardRunStatus
			// 
			this.lbl2CardRunStatus.BackColor = System.Drawing.Color.Green;
			this.lbl2CardRunStatus.Font = new System.Drawing.Font("Microsoft Sans Serif", 6.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.lbl2CardRunStatus.ForeColor = System.Drawing.Color.White;
			this.lbl2CardRunStatus.Location = new System.Drawing.Point(128, 16);
			this.lbl2CardRunStatus.Name = "lbl2CardRunStatus";
			this.lbl2CardRunStatus.Size = new System.Drawing.Size(56, 14);
			this.lbl2CardRunStatus.TabIndex = 161;
			this.lbl2CardRunStatus.Text = "Status";
			this.lbl2CardRunStatus.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// label18
			// 
			this.label18.BackColor = System.Drawing.Color.White;
			this.label18.Font = new System.Drawing.Font("Microsoft Sans Serif", 6.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.label18.ForeColor = System.Drawing.Color.Black;
			this.label18.Location = new System.Drawing.Point(16, 16);
			this.label18.Name = "label18";
			this.label18.Size = new System.Drawing.Size(112, 14);
			this.label18.TabIndex = 160;
			this.label18.Text = "2 Card Run";
			this.label18.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// lblNoPicsStatus
			// 
			this.lblNoPicsStatus.BackColor = System.Drawing.Color.Green;
			this.lblNoPicsStatus.Font = new System.Drawing.Font("Microsoft Sans Serif", 6.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.lblNoPicsStatus.ForeColor = System.Drawing.Color.White;
			this.lblNoPicsStatus.Location = new System.Drawing.Point(480, 32);
			this.lblNoPicsStatus.Name = "lblNoPicsStatus";
			this.lblNoPicsStatus.Size = new System.Drawing.Size(56, 14);
			this.lblNoPicsStatus.TabIndex = 169;
			this.lblNoPicsStatus.Text = "Status";
			this.lblNoPicsStatus.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// label20
			// 
			this.label20.BackColor = System.Drawing.Color.White;
			this.label20.Font = new System.Drawing.Font("Microsoft Sans Serif", 6.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.label20.ForeColor = System.Drawing.Color.Black;
			this.label20.Location = new System.Drawing.Point(368, 32);
			this.label20.Name = "label20";
			this.label20.Size = new System.Drawing.Size(112, 14);
			this.label20.TabIndex = 168;
			this.label20.Text = "No Picture Cards";
			this.label20.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// groupBox1
			// 
			this.groupBox1.BackColor = System.Drawing.Color.Transparent;
			this.groupBox1.Controls.Add(this.label18);
			this.groupBox1.Controls.Add(this.lblNoPicsStatus);
			this.groupBox1.Controls.Add(this.label20);
			this.groupBox1.Controls.Add(this.lbl2CardRunStatus);
			this.groupBox1.Controls.Add(this.label14);
			this.groupBox1.Controls.Add(this.lblNoAceStatus);
			this.groupBox1.Controls.Add(this.lbl2NoAce);
			this.groupBox1.Controls.Add(this.lbl4CardRunStatus);
			this.groupBox1.Controls.Add(this.lbl4CardRun);
			this.groupBox1.Controls.Add(this.lbl3CardRunStatus);
			this.groupBox1.Location = new System.Drawing.Point(8, 168);
			this.groupBox1.Name = "groupBox1";
			this.groupBox1.Size = new System.Drawing.Size(608, 64);
			this.groupBox1.TabIndex = 170;
			this.groupBox1.TabStop = false;
			this.groupBox1.Text = "Any Number of Winners";
			// 
			// groupBox2
			// 
			this.groupBox2.BackColor = System.Drawing.Color.Transparent;
			this.groupBox2.Controls.Add(this.label15);
			this.groupBox2.Controls.Add(this.lbl4CardsStatus);
			this.groupBox2.Controls.Add(this.label5);
			this.groupBox2.Controls.Add(this.label25);
			this.groupBox2.Controls.Add(this.label11);
			this.groupBox2.Controls.Add(this.lbl9CardsStatus);
			this.groupBox2.Controls.Add(this.label13);
			this.groupBox2.Controls.Add(this.lbl8CardsStatus);
			this.groupBox2.Controls.Add(this.lbl11CardsStatus);
			this.groupBox2.Controls.Add(this.lbl7CardsStatus);
			this.groupBox2.Controls.Add(this.label17);
			this.groupBox2.Controls.Add(this.lbl3CardsStatus);
			this.groupBox2.Controls.Add(this.lbl13CardsStatus);
			this.groupBox2.Controls.Add(this.label21);
			this.groupBox2.Controls.Add(this.lbl12CardsStatus);
			this.groupBox2.Controls.Add(this.label23);
			this.groupBox2.Controls.Add(this.label9);
			this.groupBox2.Controls.Add(this.lbl6CardsStatus);
			this.groupBox2.Controls.Add(this.label7);
			this.groupBox2.Controls.Add(this.lbl5CardsStatus);
			this.groupBox2.Controls.Add(this.label4);
			this.groupBox2.Controls.Add(this.lbl10CardsStatus);
			this.groupBox2.Location = new System.Drawing.Point(8, 72);
			this.groupBox2.Name = "groupBox2";
			this.groupBox2.Size = new System.Drawing.Size(608, 88);
			this.groupBox2.TabIndex = 171;
			this.groupBox2.TabStop = false;
			this.groupBox2.Text = "Asian Single Line Variant";
			// 
			// HiLoHistory
			// 
			this.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("$this.BackgroundImage")));
			this.Controls.Add(this.groupBox2);
			this.Controls.Add(this.groupBox1);
			this.Controls.Add(this.pbCard11);
			this.Controls.Add(this.pbCard10);
			this.Controls.Add(this.pbCard9);
			this.Controls.Add(this.pbCard13);
			this.Controls.Add(this.pbCard12);
			this.Controls.Add(this.pbCard8);
			this.Controls.Add(this.pbCard7);
			this.Controls.Add(this.pbCard6);
			this.Controls.Add(this.pbCard5);
			this.Controls.Add(this.pbCard4);
			this.Controls.Add(this.pbCard3);
			this.Controls.Add(this.pbCard2);
			this.Controls.Add(this.pbCard1);
			this.Controls.Add(this.lblGameDate);
			this.Controls.Add(this.lblGameID);
			this.Controls.Add(this.label2);
			this.Controls.Add(this.label1);
			this.Name = "HiLoHistory";
			this.Size = new System.Drawing.Size(624, 240);
			this.groupBox1.ResumeLayout(false);
			this.groupBox2.ResumeLayout(false);
			this.ResumeLayout(false);

		}
		#endregion

		/// <summary>
		/// Paint the details of the current game
		/// </summary>
		private void DisplayGame()
		{
			// Display the game id and date
			lblGameID.Text = m_ChannelItem.id.ToString();
			//lblGameDate.Text = m_ChannelItem.gameStartDate.ToString();

            //// Paint the cards
            //foreach(@object obj in m_ChannelItem.gameData.objectCollection)
            //{
            //    switch(obj.name)
            //    {
            //        case "Board":
            //            try
            //            {
            //                pbCard1.Image = util.GetCardResourceImage(GetCardValue(obj.propertyCollection[0].value), false);
            //            }
            //            catch
            //            {
            //                pbCard1.Image = util.GetCardResourceImage("99", false);
            //            }
            //            try
            //            {
            //                pbCard2.Image = util.GetCardResourceImage(GetCardValue(obj.propertyCollection[1].value), false);
            //            }
            //            catch
            //            {
            //                pbCard2.Image = util.GetCardResourceImage("99", false);
            //            }
            //            try
            //            {
            //                pbCard3.Image = util.GetCardResourceImage(GetCardValue(obj.propertyCollection[2].value), false);
            //            }
            //            catch
            //            {
            //                pbCard3.Image = util.GetCardResourceImage("99", false);
            //            }
            //            try
            //            {
            //                pbCard4.Image = util.GetCardResourceImage(GetCardValue(obj.propertyCollection[3].value), false);
            //            }
            //            catch
            //            {
            //                pbCard4.Image = util.GetCardResourceImage("99", false);
            //            }
            //            try
            //            {
            //                pbCard5.Image = util.GetCardResourceImage(GetCardValue(obj.propertyCollection[4].value), false);
            //            }
            //            catch
            //            {
            //                pbCard5.Image = util.GetCardResourceImage("99", false);
            //            }
            //            try
            //            {
            //                pbCard6.Image = util.GetCardResourceImage(GetCardValue(obj.propertyCollection[5].value), false);
            //            }
            //            catch
            //            {
            //                pbCard6.Image = util.GetCardResourceImage("99", false);
            //            }
            //            try
            //            {
            //                pbCard7.Image = util.GetCardResourceImage(GetCardValue(obj.propertyCollection[6].value), false);
            //            }
            //            catch
            //            {
            //                pbCard7.Image = util.GetCardResourceImage("99", false);
            //            }
            //            try
            //            {
            //                pbCard8.Image = util.GetCardResourceImage(GetCardValue(obj.propertyCollection[7].value), false);
            //            }
            //            catch
            //            {
            //                pbCard8.Image = util.GetCardResourceImage("99", false);
            //            }
            //            try
            //            {
            //                pbCard9.Image = util.GetCardResourceImage(GetCardValue(obj.propertyCollection[8].value), false);
            //            }
            //            catch
            //            {
            //                pbCard9.Image = util.GetCardResourceImage("99", false);
            //            }
            //            try
            //            {
            //                pbCard10.Image = util.GetCardResourceImage(GetCardValue(obj.propertyCollection[9].value), false);
            //            }
            //            catch
            //            {
            //                pbCard10.Image = util.GetCardResourceImage("99", false);
            //            }
            //            try
            //            {
            //                pbCard11.Image = util.GetCardResourceImage(GetCardValue(obj.propertyCollection[10].value), false);
            //            }
            //            catch
            //            {
            //                pbCard11.Image = util.GetCardResourceImage("99", false);
            //            }
            //            try
            //            {
            //                pbCard12.Image = util.GetCardResourceImage(GetCardValue(obj.propertyCollection[11].value), false);
            //            }
            //            catch
            //            {
            //                pbCard12.Image = util.GetCardResourceImage("99", false);
            //            }
            //            try
            //            {
            //                pbCard13.Image = util.GetCardResourceImage(GetCardValue(obj.propertyCollection[12].value), false);
            //            }
            //            catch
            //            {
            //                pbCard13.Image = util.GetCardResourceImage("99", false);
            //            }
            //            break;
            //    }

            //    // Paint the status for the exotics
            //    foreach(marketHistory h in m_ChannelItem.markets.marketCollection)
            //    {
            //        switch(h.marketType)
            //        {
            //            case marketTypeEnum.ASIAN_SINGLE_LINE_VARIANT:

            //                foreach(selectionHistory s in h.selections)
            //                {
            //                    switch(s.name)
            //                    {
            //                        case "3 Cards or More":
            //                            lbl3CardsStatus.Text = s.status.ToString();
            //                            lbl3CardsStatus.BackColor = GetStatusColour(s.status.ToString());
            //                            break;
            //                        case "4 Cards or More":
            //                            lbl4CardsStatus.Text = s.status.ToString();
            //                            lbl4CardsStatus.BackColor = GetStatusColour(s.status.ToString());
            //                            break;
            //                        case "5 Cards or More":
            //                            lbl5CardsStatus.Text = s.status.ToString();
            //                            lbl5CardsStatus.BackColor = GetStatusColour(s.status.ToString());
            //                            break;
            //                        case "6 Cards or More":
            //                            lbl6CardsStatus.Text = s.status.ToString();
            //                            lbl6CardsStatus.BackColor = GetStatusColour(s.status.ToString());
            //                            break;
            //                        case "7 Cards or More":
            //                            lbl7CardsStatus.Text = s.status.ToString();
            //                            lbl7CardsStatus.BackColor = GetStatusColour(s.status.ToString());
            //                            break;
            //                        case "8 Cards or More":
            //                            lbl8CardsStatus.Text = s.status.ToString();
            //                            lbl8CardsStatus.BackColor = GetStatusColour(s.status.ToString());
            //                            break;
            //                        case "9 Cards or More":
            //                            lbl9CardsStatus.Text = s.status.ToString();
            //                            lbl9CardsStatus.BackColor = GetStatusColour(s.status.ToString());
            //                            break;
            //                        case "10 Cards or More":
            //                            lbl10CardsStatus.Text = s.status.ToString();
            //                            lbl10CardsStatus.BackColor = GetStatusColour(s.status.ToString());
            //                            break;
            //                        case "11 Cards or More":
            //                            lbl11CardsStatus.Text = s.status.ToString();
            //                            lbl11CardsStatus.BackColor = GetStatusColour(s.status.ToString());
            //                            break;
            //                        case "12 Cards or More":
            //                            lbl12CardsStatus.Text = s.status.ToString();
            //                            lbl12CardsStatus.BackColor = GetStatusColour(s.status.ToString());
            //                            break;
            //                        case "13 Cards":
            //                            lbl13CardsStatus.Text = s.status.ToString();
            //                            lbl13CardsStatus.BackColor = GetStatusColour(s.status.ToString());
            //                            break;
            //                    }
            //                }
            //                break;

            //            case marketTypeEnum.ANY_NUMBER_OF_WINNERS:

            //                foreach(selectionHistory s in h.selections)
            //                {
            //                    switch(s.name)
            //                    {
            //                        case "2 Card Run":
            //                            lbl2CardRunStatus.Text = s.status.ToString();
            //                            lbl2CardRunStatus.BackColor = GetStatusColour(s.status.ToString());
            //                            break;
            //                        case "3 Card Run":
            //                            lbl3CardRunStatus.Text = s.status.ToString();
            //                            lbl3CardRunStatus.BackColor = GetStatusColour(s.status.ToString());
            //                            break;
            //                        case "4 Card Run":
            //                            lbl4CardRunStatus.Text = s.status.ToString();
            //                            lbl4CardRunStatus.BackColor = GetStatusColour(s.status.ToString());
            //                            break;
            //                        case "No Ace":
            //                            lblNoAceStatus.Text = s.status.ToString();
            //                            lblNoAceStatus.BackColor = GetStatusColour(s.status.ToString());
            //                            break;
            //                        case "No Picture Cards":
            //                            lblNoPicsStatus.Text = s.status.ToString();
            //                            lblNoPicsStatus.BackColor = GetStatusColour(s.status.ToString());
            //                            break;
            //                    }
            //                }
            //                break;
            //        }
            //    }
            //}
		}
	}
}
