using System;
using System.Collections;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Windows.Forms;
using Betfair.Gamex.API;
using Betfair.Gamex.API.Entities;
using System.Reflection;

namespace Betfair.Gamex.API.UberClient
{
	/// <summary>
	/// Summary description for BaccaratHistory.
	/// </summary>
	public class BaccaratHistory : System.Windows.Forms.UserControl
	{
		/// <summary> 
		/// Required designer variable.
		/// </summary>
		private System.ComponentModel.Container components = null;
		private System.Windows.Forms.Label lblGameDate;
		private System.Windows.Forms.Label lblGameID;
		private System.Windows.Forms.Label label2;
		private System.Windows.Forms.Label label1;
		private System.Windows.Forms.Label lblBankerStatus;
		private System.Windows.Forms.Label label3;
		private System.Windows.Forms.Label lblPlayer1;
		private System.Windows.Forms.Label lblNWStatus;
		private System.Windows.Forms.Label lblHHIOStatus;
		private System.Windows.Forms.Label lblHHINStatus;
		private System.Windows.Forms.Label lblPocketPairStatus;
		private System.Windows.Forms.Label label7;
		private System.Windows.Forms.Label label6;
		private System.Windows.Forms.Label label5;
		private System.Windows.Forms.Label label4;
		private System.Windows.Forms.Label lblNTStatus;
		private System.Windows.Forms.Label label9;
		private System.Windows.Forms.PictureBox pbBanker3;
		private System.Windows.Forms.PictureBox pbBanker2;
		private System.Windows.Forms.PictureBox pbBanker1;
		private System.Windows.Forms.PictureBox pbPlayer3;
		private System.Windows.Forms.PictureBox pbPlayer2;
		private System.Windows.Forms.PictureBox pbPlayer1;
		private System.Windows.Forms.Label lblPlayerStatus;
        private channelSnapshotChannelGame m_ChannelItem;

        public BaccaratHistory(channelSnapshotChannelGame channelItem)
		{
			// This call is required by the Windows.Forms Form Designer.
			InitializeComponent();

			m_ChannelItem = channelItem;
			DisplayGame();
		}

		/// <summary> 
		/// Clean up any resources being used.
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if(components != null)
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region Component Designer generated code
		/// <summary> 
		/// Required method for Designer support - do not modify 
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{
			System.Resources.ResourceManager resources = new System.Resources.ResourceManager(typeof(BaccaratHistory));
			this.lblGameDate = new System.Windows.Forms.Label();
			this.lblGameID = new System.Windows.Forms.Label();
			this.label2 = new System.Windows.Forms.Label();
			this.label1 = new System.Windows.Forms.Label();
			this.lblBankerStatus = new System.Windows.Forms.Label();
			this.label3 = new System.Windows.Forms.Label();
			this.lblPlayerStatus = new System.Windows.Forms.Label();
			this.lblPlayer1 = new System.Windows.Forms.Label();
			this.pbBanker3 = new System.Windows.Forms.PictureBox();
			this.pbBanker2 = new System.Windows.Forms.PictureBox();
			this.pbBanker1 = new System.Windows.Forms.PictureBox();
			this.pbPlayer3 = new System.Windows.Forms.PictureBox();
			this.pbPlayer2 = new System.Windows.Forms.PictureBox();
			this.pbPlayer1 = new System.Windows.Forms.PictureBox();
			this.lblNWStatus = new System.Windows.Forms.Label();
			this.lblHHIOStatus = new System.Windows.Forms.Label();
			this.lblHHINStatus = new System.Windows.Forms.Label();
			this.lblPocketPairStatus = new System.Windows.Forms.Label();
			this.label7 = new System.Windows.Forms.Label();
			this.label6 = new System.Windows.Forms.Label();
			this.label5 = new System.Windows.Forms.Label();
			this.label4 = new System.Windows.Forms.Label();
			this.lblNTStatus = new System.Windows.Forms.Label();
			this.label9 = new System.Windows.Forms.Label();
			this.SuspendLayout();
			// 
			// lblGameDate
			// 
			this.lblGameDate.BackColor = System.Drawing.Color.White;
			this.lblGameDate.BorderStyle = System.Windows.Forms.BorderStyle.FixedSingle;
			this.lblGameDate.Location = new System.Drawing.Point(72, 48);
			this.lblGameDate.Name = "lblGameDate";
			this.lblGameDate.Size = new System.Drawing.Size(152, 23);
			this.lblGameDate.TabIndex = 56;
			this.lblGameDate.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// lblGameID
			// 
			this.lblGameID.BackColor = System.Drawing.Color.White;
			this.lblGameID.BorderStyle = System.Windows.Forms.BorderStyle.FixedSingle;
			this.lblGameID.Location = new System.Drawing.Point(72, 24);
			this.lblGameID.Name = "lblGameID";
			this.lblGameID.Size = new System.Drawing.Size(152, 23);
			this.lblGameID.TabIndex = 55;
			this.lblGameID.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// label2
			// 
			this.label2.BackColor = System.Drawing.Color.Transparent;
			this.label2.Location = new System.Drawing.Point(8, 48);
			this.label2.Name = "label2";
			this.label2.Size = new System.Drawing.Size(64, 23);
			this.label2.TabIndex = 54;
			this.label2.Text = "Date";
			this.label2.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// label1
			// 
			this.label1.BackColor = System.Drawing.Color.Transparent;
			this.label1.Location = new System.Drawing.Point(8, 24);
			this.label1.Name = "label1";
			this.label1.Size = new System.Drawing.Size(64, 23);
			this.label1.TabIndex = 53;
			this.label1.Text = "Game ID";
			this.label1.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// lblBankerStatus
			// 
			this.lblBankerStatus.BackColor = System.Drawing.Color.Green;
			this.lblBankerStatus.Font = new System.Drawing.Font("Microsoft Sans Serif", 6.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.lblBankerStatus.ForeColor = System.Drawing.Color.White;
			this.lblBankerStatus.Location = new System.Drawing.Point(304, 144);
			this.lblBankerStatus.Name = "lblBankerStatus";
			this.lblBankerStatus.Size = new System.Drawing.Size(63, 14);
			this.lblBankerStatus.TabIndex = 113;
			this.lblBankerStatus.Text = "Status";
			this.lblBankerStatus.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// label3
			// 
			this.label3.BackColor = System.Drawing.Color.White;
			this.label3.Font = new System.Drawing.Font("Microsoft Sans Serif", 6.75F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.label3.ForeColor = System.Drawing.Color.Black;
			this.label3.Location = new System.Drawing.Point(304, 128);
			this.label3.Name = "label3";
			this.label3.Size = new System.Drawing.Size(64, 15);
			this.label3.TabIndex = 106;
			this.label3.Text = "Banker";
			this.label3.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// lblPlayerStatus
			// 
			this.lblPlayerStatus.BackColor = System.Drawing.Color.Green;
			this.lblPlayerStatus.Font = new System.Drawing.Font("Microsoft Sans Serif", 6.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.lblPlayerStatus.ForeColor = System.Drawing.Color.White;
			this.lblPlayerStatus.Location = new System.Drawing.Point(304, 80);
			this.lblPlayerStatus.Name = "lblPlayerStatus";
			this.lblPlayerStatus.Size = new System.Drawing.Size(64, 14);
			this.lblPlayerStatus.TabIndex = 105;
			this.lblPlayerStatus.Text = "Status";
			this.lblPlayerStatus.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// lblPlayer1
			// 
			this.lblPlayer1.BackColor = System.Drawing.Color.White;
			this.lblPlayer1.Font = new System.Drawing.Font("Microsoft Sans Serif", 6.75F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.lblPlayer1.ForeColor = System.Drawing.Color.Black;
			this.lblPlayer1.Location = new System.Drawing.Point(304, 64);
			this.lblPlayer1.Name = "lblPlayer1";
			this.lblPlayer1.Size = new System.Drawing.Size(64, 14);
			this.lblPlayer1.TabIndex = 104;
			this.lblPlayer1.Text = "Player";
			this.lblPlayer1.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// pbBanker3
			// 
			this.pbBanker3.BackColor = System.Drawing.Color.White;
			this.pbBanker3.Image = ((System.Drawing.Image)(resources.GetObject("pbBanker3.Image")));
			this.pbBanker3.Location = new System.Drawing.Point(472, 112);
			this.pbBanker3.Name = "pbBanker3";
			this.pbBanker3.Size = new System.Drawing.Size(44, 60);
			this.pbBanker3.TabIndex = 112;
			this.pbBanker3.TabStop = false;
			// 
			// pbBanker2
			// 
			this.pbBanker2.BackColor = System.Drawing.Color.White;
			this.pbBanker2.Image = ((System.Drawing.Image)(resources.GetObject("pbBanker2.Image")));
			this.pbBanker2.Location = new System.Drawing.Point(424, 112);
			this.pbBanker2.Name = "pbBanker2";
			this.pbBanker2.Size = new System.Drawing.Size(44, 60);
			this.pbBanker2.TabIndex = 111;
			this.pbBanker2.TabStop = false;
			// 
			// pbBanker1
			// 
			this.pbBanker1.BackColor = System.Drawing.Color.White;
			this.pbBanker1.Image = ((System.Drawing.Image)(resources.GetObject("pbBanker1.Image")));
			this.pbBanker1.Location = new System.Drawing.Point(376, 112);
			this.pbBanker1.Name = "pbBanker1";
			this.pbBanker1.Size = new System.Drawing.Size(44, 60);
			this.pbBanker1.TabIndex = 110;
			this.pbBanker1.TabStop = false;
			// 
			// pbPlayer3
			// 
			this.pbPlayer3.BackColor = System.Drawing.Color.White;
			this.pbPlayer3.Image = ((System.Drawing.Image)(resources.GetObject("pbPlayer3.Image")));
			this.pbPlayer3.Location = new System.Drawing.Point(472, 48);
			this.pbPlayer3.Name = "pbPlayer3";
			this.pbPlayer3.Size = new System.Drawing.Size(44, 60);
			this.pbPlayer3.TabIndex = 109;
			this.pbPlayer3.TabStop = false;
			// 
			// pbPlayer2
			// 
			this.pbPlayer2.BackColor = System.Drawing.Color.White;
			this.pbPlayer2.Image = ((System.Drawing.Image)(resources.GetObject("pbPlayer2.Image")));
			this.pbPlayer2.Location = new System.Drawing.Point(424, 48);
			this.pbPlayer2.Name = "pbPlayer2";
			this.pbPlayer2.Size = new System.Drawing.Size(44, 60);
			this.pbPlayer2.TabIndex = 108;
			this.pbPlayer2.TabStop = false;
			// 
			// pbPlayer1
			// 
			this.pbPlayer1.BackColor = System.Drawing.Color.White;
			this.pbPlayer1.Image = ((System.Drawing.Image)(resources.GetObject("pbPlayer1.Image")));
			this.pbPlayer1.Location = new System.Drawing.Point(376, 48);
			this.pbPlayer1.Name = "pbPlayer1";
			this.pbPlayer1.Size = new System.Drawing.Size(44, 60);
			this.pbPlayer1.TabIndex = 107;
			this.pbPlayer1.TabStop = false;
			// 
			// lblNWStatus
			// 
			this.lblNWStatus.BackColor = System.Drawing.Color.Green;
			this.lblNWStatus.Font = new System.Drawing.Font("Microsoft Sans Serif", 6.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.lblNWStatus.ForeColor = System.Drawing.Color.White;
			this.lblNWStatus.Location = new System.Drawing.Point(168, 168);
			this.lblNWStatus.Name = "lblNWStatus";
			this.lblNWStatus.Size = new System.Drawing.Size(56, 14);
			this.lblNWStatus.TabIndex = 140;
			this.lblNWStatus.Text = "Status";
			this.lblNWStatus.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// lblHHIOStatus
			// 
			this.lblHHIOStatus.BackColor = System.Drawing.Color.Green;
			this.lblHHIOStatus.Font = new System.Drawing.Font("Microsoft Sans Serif", 6.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.lblHHIOStatus.ForeColor = System.Drawing.Color.White;
			this.lblHHIOStatus.Location = new System.Drawing.Point(168, 144);
			this.lblHHIOStatus.Name = "lblHHIOStatus";
			this.lblHHIOStatus.Size = new System.Drawing.Size(56, 14);
			this.lblHHIOStatus.TabIndex = 139;
			this.lblHHIOStatus.Text = "Status";
			this.lblHHIOStatus.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// lblHHINStatus
			// 
			this.lblHHINStatus.BackColor = System.Drawing.Color.Green;
			this.lblHHINStatus.Font = new System.Drawing.Font("Microsoft Sans Serif", 6.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.lblHHINStatus.ForeColor = System.Drawing.Color.White;
			this.lblHHINStatus.Location = new System.Drawing.Point(168, 120);
			this.lblHHINStatus.Name = "lblHHINStatus";
			this.lblHHINStatus.Size = new System.Drawing.Size(56, 14);
			this.lblHHINStatus.TabIndex = 138;
			this.lblHHINStatus.Text = "Status";
			this.lblHHINStatus.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// lblPocketPairStatus
			// 
			this.lblPocketPairStatus.BackColor = System.Drawing.Color.Green;
			this.lblPocketPairStatus.Font = new System.Drawing.Font("Microsoft Sans Serif", 6.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.lblPocketPairStatus.ForeColor = System.Drawing.Color.White;
			this.lblPocketPairStatus.Location = new System.Drawing.Point(168, 96);
			this.lblPocketPairStatus.Name = "lblPocketPairStatus";
			this.lblPocketPairStatus.Size = new System.Drawing.Size(56, 14);
			this.lblPocketPairStatus.TabIndex = 137;
			this.lblPocketPairStatus.Text = "Status";
			this.lblPocketPairStatus.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// label7
			// 
			this.label7.BackColor = System.Drawing.Color.White;
			this.label7.Font = new System.Drawing.Font("Microsoft Sans Serif", 6.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.label7.ForeColor = System.Drawing.Color.Black;
			this.label7.Location = new System.Drawing.Point(56, 168);
			this.label7.Name = "label7";
			this.label7.Size = new System.Drawing.Size(112, 14);
			this.label7.TabIndex = 136;
			this.label7.Text = "Natural Win";
			this.label7.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// label6
			// 
			this.label6.BackColor = System.Drawing.Color.White;
			this.label6.Font = new System.Drawing.Font("Microsoft Sans Serif", 6.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.label6.ForeColor = System.Drawing.Color.Black;
			this.label6.Location = new System.Drawing.Point(56, 144);
			this.label6.Name = "label6";
			this.label6.Size = new System.Drawing.Size(112, 14);
			this.label6.TabIndex = 135;
			this.label6.Text = "Highest Hand Is Odd";
			this.label6.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// label5
			// 
			this.label5.BackColor = System.Drawing.Color.White;
			this.label5.Font = new System.Drawing.Font("Microsoft Sans Serif", 6.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.label5.ForeColor = System.Drawing.Color.Black;
			this.label5.Location = new System.Drawing.Point(56, 120);
			this.label5.Name = "label5";
			this.label5.Size = new System.Drawing.Size(112, 14);
			this.label5.TabIndex = 134;
			this.label5.Text = "Highest Hand Has Nine";
			this.label5.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// label4
			// 
			this.label4.BackColor = System.Drawing.Color.White;
			this.label4.Font = new System.Drawing.Font("Microsoft Sans Serif", 6.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.label4.ForeColor = System.Drawing.Color.Black;
			this.label4.Location = new System.Drawing.Point(56, 96);
			this.label4.Name = "label4";
			this.label4.Size = new System.Drawing.Size(112, 14);
			this.label4.TabIndex = 133;
			this.label4.Text = "Pocket Pair In Any Hand";
			this.label4.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// lblNTStatus
			// 
			this.lblNTStatus.BackColor = System.Drawing.Color.Green;
			this.lblNTStatus.Font = new System.Drawing.Font("Microsoft Sans Serif", 6.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.lblNTStatus.ForeColor = System.Drawing.Color.White;
			this.lblNTStatus.Location = new System.Drawing.Point(168, 192);
			this.lblNTStatus.Name = "lblNTStatus";
			this.lblNTStatus.Size = new System.Drawing.Size(56, 14);
			this.lblNTStatus.TabIndex = 142;
			this.lblNTStatus.Text = "Status";
			this.lblNTStatus.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// label9
			// 
			this.label9.BackColor = System.Drawing.Color.White;
			this.label9.Font = new System.Drawing.Font("Microsoft Sans Serif", 6.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.label9.ForeColor = System.Drawing.Color.Black;
			this.label9.Location = new System.Drawing.Point(56, 192);
			this.label9.Name = "label9";
			this.label9.Size = new System.Drawing.Size(112, 14);
			this.label9.TabIndex = 141;
			this.label9.Text = "Natural Tie";
			this.label9.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// BaccaratHistory
			// 
			this.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("$this.BackgroundImage")));
			this.Controls.Add(this.lblNTStatus);
			this.Controls.Add(this.label9);
			this.Controls.Add(this.lblNWStatus);
			this.Controls.Add(this.lblHHIOStatus);
			this.Controls.Add(this.lblHHINStatus);
			this.Controls.Add(this.lblPocketPairStatus);
			this.Controls.Add(this.label7);
			this.Controls.Add(this.label6);
			this.Controls.Add(this.label5);
			this.Controls.Add(this.label4);
			this.Controls.Add(this.lblBankerStatus);
			this.Controls.Add(this.label3);
			this.Controls.Add(this.lblPlayerStatus);
			this.Controls.Add(this.lblPlayer1);
			this.Controls.Add(this.pbBanker3);
			this.Controls.Add(this.pbBanker2);
			this.Controls.Add(this.pbBanker1);
			this.Controls.Add(this.pbPlayer3);
			this.Controls.Add(this.pbPlayer2);
			this.Controls.Add(this.pbPlayer1);
			this.Controls.Add(this.lblGameDate);
			this.Controls.Add(this.lblGameID);
			this.Controls.Add(this.label2);
			this.Controls.Add(this.label1);
			this.Name = "BaccaratHistory";
			this.Size = new System.Drawing.Size(624, 240);
			this.ResumeLayout(false);

		}
		#endregion

		/// <summary>
		/// Paint the details of the current game
		/// </summary>
		private void DisplayGame()
		{
			// Display the game id and date
			lblGameID.Text = m_ChannelItem.id.ToString();
			//lblGameDate.Text = m_ChannelItem.gameStartDate.ToString();

            //// Paint the cards
            //foreach(@object obj in m_ChannelItem.gameData.objectCollection)
            //{
            //    switch(obj.name)
            //    {
            //        case "Player":
            //            try
            //            {
            //                pbPlayer1.Image = util.GetCardResourceImage(GetCardValue(obj.propertyCollection[0].value), true);
            //            }
            //            catch
            //            {
            //                pbPlayer1.Image = util.GetCardResourceImage("99", true);
            //            }
            //            try
            //            {
            //                pbPlayer2.Image = util.GetCardResourceImage(GetCardValue(obj.propertyCollection[1].value), true);
            //            }
            //            catch
            //            {
            //                pbPlayer2.Image = util.GetCardResourceImage("99", true);
            //            }
            //            try
            //            {
            //                pbPlayer3.Image = util.GetCardResourceImage(GetCardValue(obj.propertyCollection[2].value), true);
            //            }
            //            catch
            //            {
            //                pbPlayer3.Image = util.GetCardResourceImage("99", true);
            //            }
            //            lblPlayerStatus.Text = obj.status;
            //            lblPlayerStatus.BackColor = GetStatusColour(obj.status);
            //            break;
            //        case "Banker":
            //            try
            //            {
            //                pbBanker1.Image = util.GetCardResourceImage(GetCardValue(obj.propertyCollection[0].value), true);
            //            }
            //            catch
            //            {
            //                pbBanker1.Image = util.GetCardResourceImage("99", true);
            //            }
            //            try
            //            {
            //                pbBanker2.Image = util.GetCardResourceImage(GetCardValue(obj.propertyCollection[1].value), true);
            //            }
            //            catch
            //            {
            //                pbBanker2.Image = util.GetCardResourceImage("99", true);
            //            }
            //            try
            //            {
            //                pbBanker3.Image = util.GetCardResourceImage(GetCardValue(obj.propertyCollection[2].value), true);
            //            }
            //            catch
            //            {
            //                pbBanker3.Image = util.GetCardResourceImage("99", true);
            //            }
            //            lblBankerStatus.Text = obj.status;
            //            lblBankerStatus.BackColor = GetStatusColour(obj.status);
            //            break;
            //    }
            //}

            //// Paint the status for the exotics
            //foreach(marketHistory h in m_ChannelItem.markets.marketCollection)
            //{
            //    foreach(selectionHistory s in h.selections)
            //    {
            //        switch(s.name)
            //        {
            //            case "Pocket Pair In Any Hand":
            //                lblPocketPairStatus.Text = s.status.ToString();
            //                lblPocketPairStatus.BackColor = GetStatusColour(s.status.ToString());
            //                break;
            //            case "Highest Hand Has Nine":
            //                lblHHINStatus.Text = s.status.ToString();
            //                lblHHINStatus.BackColor = GetStatusColour(s.status.ToString());
            //                break;
            //            case "Highest Hand Is Odd":
            //                lblHHIOStatus.Text = s.status.ToString();
            //                lblHHIOStatus.BackColor = GetStatusColour(s.status.ToString());
            //                break;
            //            case "Natural Win":
            //                lblNWStatus.Text = s.status.ToString();
            //                lblNWStatus.BackColor = GetStatusColour(s.status.ToString());
            //                break;
            //            case "Natural Tie":
            //                lblNTStatus.Text = s.status.ToString();
            //                lblNTStatus.BackColor = GetStatusColour(s.status.ToString());
            //                break;
            //        }
            //    }
            //}
		}
	}
}
