using System;
using System.Collections;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Windows.Forms;
using Betfair.Gamex.API;
using Betfair.Gamex.API.Entities;
using System.Reflection;

namespace Betfair.Gamex.API.UberClient
{
	/// <summary>
	/// Summary description for BlackjackHistory.
	/// </summary>
	public class BlackjackHistory : System.Windows.Forms.UserControl
	{
		private System.Windows.Forms.Label label1;
		private System.Windows.Forms.Label lblPlayer4Status;
		private System.Windows.Forms.Label lblPlayer4;
		private System.Windows.Forms.Label lblPlayer3Status;
		private System.Windows.Forms.Label lblPlayer3;
		private System.Windows.Forms.Label lblPlayer2Status;
		private System.Windows.Forms.Label lblPlayer2;
		private System.Windows.Forms.Label lblPlayer1Status;
		private System.Windows.Forms.Label lblPlayer1;
		private System.Windows.Forms.PictureBox pbPlayer4b;
		private System.Windows.Forms.PictureBox pbPlayer4a;
		private System.Windows.Forms.PictureBox pbPlayer3b;
		private System.Windows.Forms.PictureBox pbPlayer3a;
		private System.Windows.Forms.PictureBox pbPlayer2b;
		private System.Windows.Forms.PictureBox pbPlayer2a;
		private System.Windows.Forms.PictureBox pbPlayer1b;
		private System.Windows.Forms.PictureBox pbPlayer1a;
		private System.Windows.Forms.PictureBox pbPlayer4c;
		private System.Windows.Forms.PictureBox pbPlayer4d;
		private System.Windows.Forms.PictureBox pbPlayer4e;
		private System.Windows.Forms.PictureBox pbPlayer3c;
		private System.Windows.Forms.PictureBox pbPlayer3d;
		private System.Windows.Forms.PictureBox pbPlayer3e;
		private System.Windows.Forms.PictureBox pbPlayer2c;
		private System.Windows.Forms.PictureBox pbPlayer2d;
		private System.Windows.Forms.PictureBox pbPlayer2e;
		private System.Windows.Forms.PictureBox pbPlayer1d;
		private System.Windows.Forms.PictureBox pbPlayer1e;
		private System.Windows.Forms.PictureBox pbPlayer1c;
		private System.Windows.Forms.PictureBox pbCC2;
		private System.Windows.Forms.PictureBox pbCC1;
		private System.Windows.Forms.PictureBox pbCC4;
		private System.Windows.Forms.PictureBox pbCC5;
		private System.Windows.Forms.PictureBox pbCC3;
		private System.Windows.Forms.Label lblGameDate;
		private System.Windows.Forms.Label lblGameID;
		private System.Windows.Forms.Label label2;
		private System.Windows.Forms.Label label3;
		private System.Windows.Forms.Label label4;
		private System.Windows.Forms.Label label5;
		private System.Windows.Forms.Label label6;
		private System.Windows.Forms.Label label7;
		private System.Windows.Forms.Label lblDealerWinsStatus;
		private System.Windows.Forms.Label lblOneOrMoreStatus;
		private System.Windows.Forms.Label lblAllCardUniqueStatus;
		private System.Windows.Forms.Label lbl21PointsStatus;
		/// <summary> 
		/// Required designer variable.
		/// </summary>
		private System.ComponentModel.Container components = null;
        private channelSnapshotChannelGame m_ChannelItem;

        public BlackjackHistory(channelSnapshotChannelGame channelItem)
		{
			// This call is required by the Windows.Forms Form Designer.
			InitializeComponent();

			m_ChannelItem = channelItem;
			DisplayGame();
		}

		/// <summary> 
		/// Clean up any resources being used.
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if(components != null)
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region Component Designer generated code
		/// <summary> 
		/// Required method for Designer support - do not modify 
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{
			System.Resources.ResourceManager resources = new System.Resources.ResourceManager(typeof(BlackjackHistory));
			this.label1 = new System.Windows.Forms.Label();
			this.lblPlayer4Status = new System.Windows.Forms.Label();
			this.lblPlayer4 = new System.Windows.Forms.Label();
			this.lblPlayer3Status = new System.Windows.Forms.Label();
			this.lblPlayer3 = new System.Windows.Forms.Label();
			this.lblPlayer2Status = new System.Windows.Forms.Label();
			this.lblPlayer2 = new System.Windows.Forms.Label();
			this.lblPlayer1Status = new System.Windows.Forms.Label();
			this.lblPlayer1 = new System.Windows.Forms.Label();
			this.pbPlayer4b = new System.Windows.Forms.PictureBox();
			this.pbPlayer4a = new System.Windows.Forms.PictureBox();
			this.pbPlayer3b = new System.Windows.Forms.PictureBox();
			this.pbPlayer3a = new System.Windows.Forms.PictureBox();
			this.pbPlayer2b = new System.Windows.Forms.PictureBox();
			this.pbPlayer2a = new System.Windows.Forms.PictureBox();
			this.pbPlayer1b = new System.Windows.Forms.PictureBox();
			this.pbPlayer1a = new System.Windows.Forms.PictureBox();
			this.pbPlayer4c = new System.Windows.Forms.PictureBox();
			this.pbPlayer4d = new System.Windows.Forms.PictureBox();
			this.pbPlayer4e = new System.Windows.Forms.PictureBox();
			this.pbPlayer3c = new System.Windows.Forms.PictureBox();
			this.pbPlayer3d = new System.Windows.Forms.PictureBox();
			this.pbPlayer3e = new System.Windows.Forms.PictureBox();
			this.pbPlayer2c = new System.Windows.Forms.PictureBox();
			this.pbPlayer2d = new System.Windows.Forms.PictureBox();
			this.pbPlayer2e = new System.Windows.Forms.PictureBox();
			this.pbPlayer1d = new System.Windows.Forms.PictureBox();
			this.pbPlayer1e = new System.Windows.Forms.PictureBox();
			this.pbPlayer1c = new System.Windows.Forms.PictureBox();
			this.pbCC2 = new System.Windows.Forms.PictureBox();
			this.pbCC1 = new System.Windows.Forms.PictureBox();
			this.pbCC4 = new System.Windows.Forms.PictureBox();
			this.pbCC5 = new System.Windows.Forms.PictureBox();
			this.pbCC3 = new System.Windows.Forms.PictureBox();
			this.lblGameDate = new System.Windows.Forms.Label();
			this.lblGameID = new System.Windows.Forms.Label();
			this.label2 = new System.Windows.Forms.Label();
			this.label3 = new System.Windows.Forms.Label();
			this.label4 = new System.Windows.Forms.Label();
			this.label5 = new System.Windows.Forms.Label();
			this.label6 = new System.Windows.Forms.Label();
			this.label7 = new System.Windows.Forms.Label();
			this.lblDealerWinsStatus = new System.Windows.Forms.Label();
			this.lblOneOrMoreStatus = new System.Windows.Forms.Label();
			this.lblAllCardUniqueStatus = new System.Windows.Forms.Label();
			this.lbl21PointsStatus = new System.Windows.Forms.Label();
			this.SuspendLayout();
			// 
			// label1
			// 
			this.label1.BackColor = System.Drawing.Color.White;
			this.label1.Font = new System.Drawing.Font("Microsoft Sans Serif", 6.75F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.label1.ForeColor = System.Drawing.Color.Black;
			this.label1.Location = new System.Drawing.Point(256, 24);
			this.label1.Name = "label1";
			this.label1.Size = new System.Drawing.Size(57, 15);
			this.label1.TabIndex = 120;
			this.label1.Text = "Dealer";
			this.label1.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// lblPlayer4Status
			// 
			this.lblPlayer4Status.BackColor = System.Drawing.Color.Green;
			this.lblPlayer4Status.Font = new System.Drawing.Font("Microsoft Sans Serif", 6.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.lblPlayer4Status.ForeColor = System.Drawing.Color.White;
			this.lblPlayer4Status.Location = new System.Drawing.Point(256, 200);
			this.lblPlayer4Status.Name = "lblPlayer4Status";
			this.lblPlayer4Status.Size = new System.Drawing.Size(56, 14);
			this.lblPlayer4Status.TabIndex = 102;
			this.lblPlayer4Status.Text = "Status";
			this.lblPlayer4Status.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// lblPlayer4
			// 
			this.lblPlayer4.BackColor = System.Drawing.Color.White;
			this.lblPlayer4.Font = new System.Drawing.Font("Microsoft Sans Serif", 6.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.lblPlayer4.ForeColor = System.Drawing.Color.Black;
			this.lblPlayer4.Location = new System.Drawing.Point(256, 184);
			this.lblPlayer4.Name = "lblPlayer4";
			this.lblPlayer4.Size = new System.Drawing.Size(56, 14);
			this.lblPlayer4.TabIndex = 101;
			this.lblPlayer4.Text = "Player 4";
			this.lblPlayer4.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// lblPlayer3Status
			// 
			this.lblPlayer3Status.BackColor = System.Drawing.Color.Green;
			this.lblPlayer3Status.Font = new System.Drawing.Font("Microsoft Sans Serif", 6.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.lblPlayer3Status.ForeColor = System.Drawing.Color.White;
			this.lblPlayer3Status.Location = new System.Drawing.Point(256, 160);
			this.lblPlayer3Status.Name = "lblPlayer3Status";
			this.lblPlayer3Status.Size = new System.Drawing.Size(56, 14);
			this.lblPlayer3Status.TabIndex = 100;
			this.lblPlayer3Status.Text = "Status";
			this.lblPlayer3Status.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// lblPlayer3
			// 
			this.lblPlayer3.BackColor = System.Drawing.Color.White;
			this.lblPlayer3.Font = new System.Drawing.Font("Microsoft Sans Serif", 6.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.lblPlayer3.ForeColor = System.Drawing.Color.Black;
			this.lblPlayer3.Location = new System.Drawing.Point(256, 144);
			this.lblPlayer3.Name = "lblPlayer3";
			this.lblPlayer3.Size = new System.Drawing.Size(56, 14);
			this.lblPlayer3.TabIndex = 99;
			this.lblPlayer3.Text = "Player 3";
			this.lblPlayer3.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// lblPlayer2Status
			// 
			this.lblPlayer2Status.BackColor = System.Drawing.Color.Green;
			this.lblPlayer2Status.Font = new System.Drawing.Font("Microsoft Sans Serif", 6.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.lblPlayer2Status.ForeColor = System.Drawing.Color.White;
			this.lblPlayer2Status.Location = new System.Drawing.Point(256, 120);
			this.lblPlayer2Status.Name = "lblPlayer2Status";
			this.lblPlayer2Status.Size = new System.Drawing.Size(56, 14);
			this.lblPlayer2Status.TabIndex = 98;
			this.lblPlayer2Status.Text = "Status";
			this.lblPlayer2Status.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// lblPlayer2
			// 
			this.lblPlayer2.BackColor = System.Drawing.Color.White;
			this.lblPlayer2.Font = new System.Drawing.Font("Microsoft Sans Serif", 6.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.lblPlayer2.ForeColor = System.Drawing.Color.Black;
			this.lblPlayer2.Location = new System.Drawing.Point(256, 104);
			this.lblPlayer2.Name = "lblPlayer2";
			this.lblPlayer2.Size = new System.Drawing.Size(56, 14);
			this.lblPlayer2.TabIndex = 97;
			this.lblPlayer2.Text = "Player 2";
			this.lblPlayer2.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// lblPlayer1Status
			// 
			this.lblPlayer1Status.BackColor = System.Drawing.Color.Green;
			this.lblPlayer1Status.Font = new System.Drawing.Font("Microsoft Sans Serif", 6.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.lblPlayer1Status.ForeColor = System.Drawing.Color.White;
			this.lblPlayer1Status.Location = new System.Drawing.Point(256, 80);
			this.lblPlayer1Status.Name = "lblPlayer1Status";
			this.lblPlayer1Status.Size = new System.Drawing.Size(56, 14);
			this.lblPlayer1Status.TabIndex = 96;
			this.lblPlayer1Status.Text = "Status";
			this.lblPlayer1Status.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// lblPlayer1
			// 
			this.lblPlayer1.BackColor = System.Drawing.Color.White;
			this.lblPlayer1.Font = new System.Drawing.Font("Microsoft Sans Serif", 6.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.lblPlayer1.ForeColor = System.Drawing.Color.Black;
			this.lblPlayer1.Location = new System.Drawing.Point(256, 64);
			this.lblPlayer1.Name = "lblPlayer1";
			this.lblPlayer1.Size = new System.Drawing.Size(56, 14);
			this.lblPlayer1.TabIndex = 95;
			this.lblPlayer1.Text = "Player 1";
			this.lblPlayer1.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// pbPlayer4b
			// 
			this.pbPlayer4b.BackColor = System.Drawing.Color.White;
			this.pbPlayer4b.Image = ((System.Drawing.Image)(resources.GetObject("pbPlayer4b.Image")));
			this.pbPlayer4b.Location = new System.Drawing.Point(352, 184);
			this.pbPlayer4b.Name = "pbPlayer4b";
			this.pbPlayer4b.Size = new System.Drawing.Size(30, 35);
			this.pbPlayer4b.TabIndex = 94;
			this.pbPlayer4b.TabStop = false;
			// 
			// pbPlayer4a
			// 
			this.pbPlayer4a.BackColor = System.Drawing.Color.White;
			this.pbPlayer4a.Image = ((System.Drawing.Image)(resources.GetObject("pbPlayer4a.Image")));
			this.pbPlayer4a.Location = new System.Drawing.Point(320, 184);
			this.pbPlayer4a.Name = "pbPlayer4a";
			this.pbPlayer4a.Size = new System.Drawing.Size(30, 35);
			this.pbPlayer4a.TabIndex = 93;
			this.pbPlayer4a.TabStop = false;
			// 
			// pbPlayer3b
			// 
			this.pbPlayer3b.BackColor = System.Drawing.Color.White;
			this.pbPlayer3b.Image = ((System.Drawing.Image)(resources.GetObject("pbPlayer3b.Image")));
			this.pbPlayer3b.Location = new System.Drawing.Point(352, 144);
			this.pbPlayer3b.Name = "pbPlayer3b";
			this.pbPlayer3b.Size = new System.Drawing.Size(30, 35);
			this.pbPlayer3b.TabIndex = 92;
			this.pbPlayer3b.TabStop = false;
			// 
			// pbPlayer3a
			// 
			this.pbPlayer3a.BackColor = System.Drawing.Color.White;
			this.pbPlayer3a.Image = ((System.Drawing.Image)(resources.GetObject("pbPlayer3a.Image")));
			this.pbPlayer3a.Location = new System.Drawing.Point(320, 144);
			this.pbPlayer3a.Name = "pbPlayer3a";
			this.pbPlayer3a.Size = new System.Drawing.Size(30, 35);
			this.pbPlayer3a.TabIndex = 91;
			this.pbPlayer3a.TabStop = false;
			// 
			// pbPlayer2b
			// 
			this.pbPlayer2b.BackColor = System.Drawing.Color.White;
			this.pbPlayer2b.Image = ((System.Drawing.Image)(resources.GetObject("pbPlayer2b.Image")));
			this.pbPlayer2b.Location = new System.Drawing.Point(352, 104);
			this.pbPlayer2b.Name = "pbPlayer2b";
			this.pbPlayer2b.Size = new System.Drawing.Size(30, 35);
			this.pbPlayer2b.TabIndex = 90;
			this.pbPlayer2b.TabStop = false;
			// 
			// pbPlayer2a
			// 
			this.pbPlayer2a.BackColor = System.Drawing.Color.White;
			this.pbPlayer2a.Image = ((System.Drawing.Image)(resources.GetObject("pbPlayer2a.Image")));
			this.pbPlayer2a.Location = new System.Drawing.Point(320, 104);
			this.pbPlayer2a.Name = "pbPlayer2a";
			this.pbPlayer2a.Size = new System.Drawing.Size(30, 35);
			this.pbPlayer2a.TabIndex = 89;
			this.pbPlayer2a.TabStop = false;
			// 
			// pbPlayer1b
			// 
			this.pbPlayer1b.BackColor = System.Drawing.Color.White;
			this.pbPlayer1b.Image = ((System.Drawing.Image)(resources.GetObject("pbPlayer1b.Image")));
			this.pbPlayer1b.Location = new System.Drawing.Point(352, 64);
			this.pbPlayer1b.Name = "pbPlayer1b";
			this.pbPlayer1b.Size = new System.Drawing.Size(30, 35);
			this.pbPlayer1b.TabIndex = 88;
			this.pbPlayer1b.TabStop = false;
			// 
			// pbPlayer1a
			// 
			this.pbPlayer1a.BackColor = System.Drawing.Color.White;
			this.pbPlayer1a.Image = ((System.Drawing.Image)(resources.GetObject("pbPlayer1a.Image")));
			this.pbPlayer1a.Location = new System.Drawing.Point(320, 64);
			this.pbPlayer1a.Name = "pbPlayer1a";
			this.pbPlayer1a.Size = new System.Drawing.Size(30, 35);
			this.pbPlayer1a.TabIndex = 87;
			this.pbPlayer1a.TabStop = false;
			// 
			// pbPlayer4c
			// 
			this.pbPlayer4c.BackColor = System.Drawing.Color.White;
			this.pbPlayer4c.Image = ((System.Drawing.Image)(resources.GetObject("pbPlayer4c.Image")));
			this.pbPlayer4c.Location = new System.Drawing.Point(384, 184);
			this.pbPlayer4c.Name = "pbPlayer4c";
			this.pbPlayer4c.Size = new System.Drawing.Size(30, 35);
			this.pbPlayer4c.TabIndex = 114;
			this.pbPlayer4c.TabStop = false;
			// 
			// pbPlayer4d
			// 
			this.pbPlayer4d.BackColor = System.Drawing.Color.White;
			this.pbPlayer4d.Image = ((System.Drawing.Image)(resources.GetObject("pbPlayer4d.Image")));
			this.pbPlayer4d.Location = new System.Drawing.Point(416, 184);
			this.pbPlayer4d.Name = "pbPlayer4d";
			this.pbPlayer4d.Size = new System.Drawing.Size(30, 35);
			this.pbPlayer4d.TabIndex = 113;
			this.pbPlayer4d.TabStop = false;
			// 
			// pbPlayer4e
			// 
			this.pbPlayer4e.BackColor = System.Drawing.Color.White;
			this.pbPlayer4e.Image = ((System.Drawing.Image)(resources.GetObject("pbPlayer4e.Image")));
			this.pbPlayer4e.Location = new System.Drawing.Point(448, 184);
			this.pbPlayer4e.Name = "pbPlayer4e";
			this.pbPlayer4e.Size = new System.Drawing.Size(30, 35);
			this.pbPlayer4e.TabIndex = 112;
			this.pbPlayer4e.TabStop = false;
			// 
			// pbPlayer3c
			// 
			this.pbPlayer3c.BackColor = System.Drawing.Color.White;
			this.pbPlayer3c.Image = ((System.Drawing.Image)(resources.GetObject("pbPlayer3c.Image")));
			this.pbPlayer3c.Location = new System.Drawing.Point(384, 144);
			this.pbPlayer3c.Name = "pbPlayer3c";
			this.pbPlayer3c.Size = new System.Drawing.Size(30, 35);
			this.pbPlayer3c.TabIndex = 111;
			this.pbPlayer3c.TabStop = false;
			// 
			// pbPlayer3d
			// 
			this.pbPlayer3d.BackColor = System.Drawing.Color.White;
			this.pbPlayer3d.Image = ((System.Drawing.Image)(resources.GetObject("pbPlayer3d.Image")));
			this.pbPlayer3d.Location = new System.Drawing.Point(416, 144);
			this.pbPlayer3d.Name = "pbPlayer3d";
			this.pbPlayer3d.Size = new System.Drawing.Size(30, 35);
			this.pbPlayer3d.TabIndex = 110;
			this.pbPlayer3d.TabStop = false;
			// 
			// pbPlayer3e
			// 
			this.pbPlayer3e.BackColor = System.Drawing.Color.White;
			this.pbPlayer3e.Image = ((System.Drawing.Image)(resources.GetObject("pbPlayer3e.Image")));
			this.pbPlayer3e.Location = new System.Drawing.Point(448, 144);
			this.pbPlayer3e.Name = "pbPlayer3e";
			this.pbPlayer3e.Size = new System.Drawing.Size(30, 35);
			this.pbPlayer3e.TabIndex = 109;
			this.pbPlayer3e.TabStop = false;
			// 
			// pbPlayer2c
			// 
			this.pbPlayer2c.BackColor = System.Drawing.Color.White;
			this.pbPlayer2c.Image = ((System.Drawing.Image)(resources.GetObject("pbPlayer2c.Image")));
			this.pbPlayer2c.Location = new System.Drawing.Point(384, 104);
			this.pbPlayer2c.Name = "pbPlayer2c";
			this.pbPlayer2c.Size = new System.Drawing.Size(30, 35);
			this.pbPlayer2c.TabIndex = 108;
			this.pbPlayer2c.TabStop = false;
			// 
			// pbPlayer2d
			// 
			this.pbPlayer2d.BackColor = System.Drawing.Color.White;
			this.pbPlayer2d.Image = ((System.Drawing.Image)(resources.GetObject("pbPlayer2d.Image")));
			this.pbPlayer2d.Location = new System.Drawing.Point(416, 104);
			this.pbPlayer2d.Name = "pbPlayer2d";
			this.pbPlayer2d.Size = new System.Drawing.Size(30, 35);
			this.pbPlayer2d.TabIndex = 107;
			this.pbPlayer2d.TabStop = false;
			// 
			// pbPlayer2e
			// 
			this.pbPlayer2e.BackColor = System.Drawing.Color.White;
			this.pbPlayer2e.Image = ((System.Drawing.Image)(resources.GetObject("pbPlayer2e.Image")));
			this.pbPlayer2e.Location = new System.Drawing.Point(448, 104);
			this.pbPlayer2e.Name = "pbPlayer2e";
			this.pbPlayer2e.Size = new System.Drawing.Size(30, 35);
			this.pbPlayer2e.TabIndex = 106;
			this.pbPlayer2e.TabStop = false;
			// 
			// pbPlayer1d
			// 
			this.pbPlayer1d.BackColor = System.Drawing.Color.White;
			this.pbPlayer1d.Image = ((System.Drawing.Image)(resources.GetObject("pbPlayer1d.Image")));
			this.pbPlayer1d.Location = new System.Drawing.Point(416, 64);
			this.pbPlayer1d.Name = "pbPlayer1d";
			this.pbPlayer1d.Size = new System.Drawing.Size(30, 35);
			this.pbPlayer1d.TabIndex = 104;
			this.pbPlayer1d.TabStop = false;
			// 
			// pbPlayer1e
			// 
			this.pbPlayer1e.BackColor = System.Drawing.Color.White;
			this.pbPlayer1e.Image = ((System.Drawing.Image)(resources.GetObject("pbPlayer1e.Image")));
			this.pbPlayer1e.Location = new System.Drawing.Point(448, 64);
			this.pbPlayer1e.Name = "pbPlayer1e";
			this.pbPlayer1e.Size = new System.Drawing.Size(30, 35);
			this.pbPlayer1e.TabIndex = 103;
			this.pbPlayer1e.TabStop = false;
			// 
			// pbPlayer1c
			// 
			this.pbPlayer1c.BackColor = System.Drawing.Color.White;
			this.pbPlayer1c.Image = ((System.Drawing.Image)(resources.GetObject("pbPlayer1c.Image")));
			this.pbPlayer1c.Location = new System.Drawing.Point(384, 64);
			this.pbPlayer1c.Name = "pbPlayer1c";
			this.pbPlayer1c.Size = new System.Drawing.Size(30, 35);
			this.pbPlayer1c.TabIndex = 105;
			this.pbPlayer1c.TabStop = false;
			// 
			// pbCC2
			// 
			this.pbCC2.BackColor = System.Drawing.Color.White;
			this.pbCC2.Image = ((System.Drawing.Image)(resources.GetObject("pbCC2.Image")));
			this.pbCC2.Location = new System.Drawing.Point(352, 16);
			this.pbCC2.Name = "pbCC2";
			this.pbCC2.Size = new System.Drawing.Size(30, 35);
			this.pbCC2.TabIndex = 116;
			this.pbCC2.TabStop = false;
			// 
			// pbCC1
			// 
			this.pbCC1.BackColor = System.Drawing.Color.White;
			this.pbCC1.Image = ((System.Drawing.Image)(resources.GetObject("pbCC1.Image")));
			this.pbCC1.Location = new System.Drawing.Point(320, 16);
			this.pbCC1.Name = "pbCC1";
			this.pbCC1.Size = new System.Drawing.Size(30, 35);
			this.pbCC1.TabIndex = 115;
			this.pbCC1.TabStop = false;
			// 
			// pbCC4
			// 
			this.pbCC4.BackColor = System.Drawing.Color.White;
			this.pbCC4.Image = ((System.Drawing.Image)(resources.GetObject("pbCC4.Image")));
			this.pbCC4.Location = new System.Drawing.Point(416, 16);
			this.pbCC4.Name = "pbCC4";
			this.pbCC4.Size = new System.Drawing.Size(30, 35);
			this.pbCC4.TabIndex = 118;
			this.pbCC4.TabStop = false;
			// 
			// pbCC5
			// 
			this.pbCC5.BackColor = System.Drawing.Color.White;
			this.pbCC5.Image = ((System.Drawing.Image)(resources.GetObject("pbCC5.Image")));
			this.pbCC5.Location = new System.Drawing.Point(448, 16);
			this.pbCC5.Name = "pbCC5";
			this.pbCC5.Size = new System.Drawing.Size(30, 35);
			this.pbCC5.TabIndex = 117;
			this.pbCC5.TabStop = false;
			// 
			// pbCC3
			// 
			this.pbCC3.BackColor = System.Drawing.Color.White;
			this.pbCC3.Image = ((System.Drawing.Image)(resources.GetObject("pbCC3.Image")));
			this.pbCC3.Location = new System.Drawing.Point(384, 16);
			this.pbCC3.Name = "pbCC3";
			this.pbCC3.Size = new System.Drawing.Size(30, 35);
			this.pbCC3.TabIndex = 119;
			this.pbCC3.TabStop = false;
			// 
			// lblGameDate
			// 
			this.lblGameDate.BackColor = System.Drawing.Color.White;
			this.lblGameDate.BorderStyle = System.Windows.Forms.BorderStyle.FixedSingle;
			this.lblGameDate.Location = new System.Drawing.Point(72, 48);
			this.lblGameDate.Name = "lblGameDate";
			this.lblGameDate.Size = new System.Drawing.Size(152, 23);
			this.lblGameDate.TabIndex = 124;
			this.lblGameDate.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// lblGameID
			// 
			this.lblGameID.BackColor = System.Drawing.Color.White;
			this.lblGameID.BorderStyle = System.Windows.Forms.BorderStyle.FixedSingle;
			this.lblGameID.Location = new System.Drawing.Point(72, 24);
			this.lblGameID.Name = "lblGameID";
			this.lblGameID.Size = new System.Drawing.Size(152, 23);
			this.lblGameID.TabIndex = 123;
			this.lblGameID.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// label2
			// 
			this.label2.BackColor = System.Drawing.Color.Transparent;
			this.label2.Location = new System.Drawing.Point(8, 48);
			this.label2.Name = "label2";
			this.label2.Size = new System.Drawing.Size(64, 23);
			this.label2.TabIndex = 122;
			this.label2.Text = "Date";
			this.label2.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// label3
			// 
			this.label3.BackColor = System.Drawing.Color.Transparent;
			this.label3.Location = new System.Drawing.Point(8, 24);
			this.label3.Name = "label3";
			this.label3.Size = new System.Drawing.Size(64, 23);
			this.label3.TabIndex = 121;
			this.label3.Text = "Game ID";
			this.label3.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// label4
			// 
			this.label4.BackColor = System.Drawing.Color.White;
			this.label4.Font = new System.Drawing.Font("Microsoft Sans Serif", 6.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.label4.ForeColor = System.Drawing.Color.Black;
			this.label4.Location = new System.Drawing.Point(64, 104);
			this.label4.Name = "label4";
			this.label4.Size = new System.Drawing.Size(96, 14);
			this.label4.TabIndex = 125;
			this.label4.Text = "Dealer wins or ties all";
			this.label4.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// label5
			// 
			this.label5.BackColor = System.Drawing.Color.White;
			this.label5.Font = new System.Drawing.Font("Microsoft Sans Serif", 6.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.label5.ForeColor = System.Drawing.Color.Black;
			this.label5.Location = new System.Drawing.Point(64, 128);
			this.label5.Name = "label5";
			this.label5.Size = new System.Drawing.Size(96, 14);
			this.label5.TabIndex = 126;
			this.label5.Text = "1 or more has 5 cards";
			this.label5.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// label6
			// 
			this.label6.BackColor = System.Drawing.Color.White;
			this.label6.Font = new System.Drawing.Font("Microsoft Sans Serif", 6.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.label6.ForeColor = System.Drawing.Color.Black;
			this.label6.Location = new System.Drawing.Point(64, 152);
			this.label6.Name = "label6";
			this.label6.Size = new System.Drawing.Size(96, 14);
			this.label6.TabIndex = 127;
			this.label6.Text = "All cards unique";
			this.label6.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// label7
			// 
			this.label7.BackColor = System.Drawing.Color.White;
			this.label7.Font = new System.Drawing.Font("Microsoft Sans Serif", 6.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.label7.ForeColor = System.Drawing.Color.Black;
			this.label7.Location = new System.Drawing.Point(64, 176);
			this.label7.Name = "label7";
			this.label7.Size = new System.Drawing.Size(96, 14);
			this.label7.TabIndex = 128;
			this.label7.Text = "Only one has 21pts";
			this.label7.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// lblDealerWinsStatus
			// 
			this.lblDealerWinsStatus.BackColor = System.Drawing.Color.Green;
			this.lblDealerWinsStatus.Font = new System.Drawing.Font("Microsoft Sans Serif", 6.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.lblDealerWinsStatus.ForeColor = System.Drawing.Color.White;
			this.lblDealerWinsStatus.Location = new System.Drawing.Point(160, 104);
			this.lblDealerWinsStatus.Name = "lblDealerWinsStatus";
			this.lblDealerWinsStatus.Size = new System.Drawing.Size(56, 14);
			this.lblDealerWinsStatus.TabIndex = 129;
			this.lblDealerWinsStatus.Text = "Status";
			this.lblDealerWinsStatus.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// lblOneOrMoreStatus
			// 
			this.lblOneOrMoreStatus.BackColor = System.Drawing.Color.Green;
			this.lblOneOrMoreStatus.Font = new System.Drawing.Font("Microsoft Sans Serif", 6.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.lblOneOrMoreStatus.ForeColor = System.Drawing.Color.White;
			this.lblOneOrMoreStatus.Location = new System.Drawing.Point(160, 128);
			this.lblOneOrMoreStatus.Name = "lblOneOrMoreStatus";
			this.lblOneOrMoreStatus.Size = new System.Drawing.Size(56, 14);
			this.lblOneOrMoreStatus.TabIndex = 130;
			this.lblOneOrMoreStatus.Text = "Status";
			this.lblOneOrMoreStatus.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// lblAllCardUniqueStatus
			// 
			this.lblAllCardUniqueStatus.BackColor = System.Drawing.Color.Green;
			this.lblAllCardUniqueStatus.Font = new System.Drawing.Font("Microsoft Sans Serif", 6.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.lblAllCardUniqueStatus.ForeColor = System.Drawing.Color.White;
			this.lblAllCardUniqueStatus.Location = new System.Drawing.Point(160, 152);
			this.lblAllCardUniqueStatus.Name = "lblAllCardUniqueStatus";
			this.lblAllCardUniqueStatus.Size = new System.Drawing.Size(56, 14);
			this.lblAllCardUniqueStatus.TabIndex = 131;
			this.lblAllCardUniqueStatus.Text = "Status";
			this.lblAllCardUniqueStatus.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// lbl21PointsStatus
			// 
			this.lbl21PointsStatus.BackColor = System.Drawing.Color.Green;
			this.lbl21PointsStatus.Font = new System.Drawing.Font("Microsoft Sans Serif", 6.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.lbl21PointsStatus.ForeColor = System.Drawing.Color.White;
			this.lbl21PointsStatus.Location = new System.Drawing.Point(160, 176);
			this.lbl21PointsStatus.Name = "lbl21PointsStatus";
			this.lbl21PointsStatus.Size = new System.Drawing.Size(56, 14);
			this.lbl21PointsStatus.TabIndex = 132;
			this.lbl21PointsStatus.Text = "Status";
			this.lbl21PointsStatus.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// BlackjackHistory
			// 
			this.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("$this.BackgroundImage")));
			this.Controls.Add(this.lbl21PointsStatus);
			this.Controls.Add(this.lblAllCardUniqueStatus);
			this.Controls.Add(this.lblOneOrMoreStatus);
			this.Controls.Add(this.lblDealerWinsStatus);
			this.Controls.Add(this.label7);
			this.Controls.Add(this.label6);
			this.Controls.Add(this.label5);
			this.Controls.Add(this.label4);
			this.Controls.Add(this.lblGameDate);
			this.Controls.Add(this.lblGameID);
			this.Controls.Add(this.label2);
			this.Controls.Add(this.label3);
			this.Controls.Add(this.label1);
			this.Controls.Add(this.lblPlayer4Status);
			this.Controls.Add(this.lblPlayer4);
			this.Controls.Add(this.lblPlayer3Status);
			this.Controls.Add(this.lblPlayer3);
			this.Controls.Add(this.lblPlayer2Status);
			this.Controls.Add(this.lblPlayer2);
			this.Controls.Add(this.lblPlayer1Status);
			this.Controls.Add(this.lblPlayer1);
			this.Controls.Add(this.pbPlayer4b);
			this.Controls.Add(this.pbPlayer4a);
			this.Controls.Add(this.pbPlayer3b);
			this.Controls.Add(this.pbPlayer3a);
			this.Controls.Add(this.pbPlayer2b);
			this.Controls.Add(this.pbPlayer2a);
			this.Controls.Add(this.pbPlayer1b);
			this.Controls.Add(this.pbPlayer1a);
			this.Controls.Add(this.pbPlayer4c);
			this.Controls.Add(this.pbPlayer4d);
			this.Controls.Add(this.pbPlayer4e);
			this.Controls.Add(this.pbPlayer3c);
			this.Controls.Add(this.pbPlayer3d);
			this.Controls.Add(this.pbPlayer3e);
			this.Controls.Add(this.pbPlayer2c);
			this.Controls.Add(this.pbPlayer2d);
			this.Controls.Add(this.pbPlayer2e);
			this.Controls.Add(this.pbPlayer1d);
			this.Controls.Add(this.pbPlayer1e);
			this.Controls.Add(this.pbPlayer1c);
			this.Controls.Add(this.pbCC2);
			this.Controls.Add(this.pbCC1);
			this.Controls.Add(this.pbCC4);
			this.Controls.Add(this.pbCC5);
			this.Controls.Add(this.pbCC3);
			this.Name = "BlackjackHistory";
			this.Size = new System.Drawing.Size(624, 240);
			this.ResumeLayout(false);

		}
		#endregion

		/// <summary>
		/// Paint the details of the current game
		/// </summary>
		private void DisplayGame()
		{
			// Display the game id and date
			lblGameID.Text = m_ChannelItem.id.ToString();
			//lblGameDate.Text = m_ChannelItem.gameStartDate.ToString();

			// Paint the cards for the players and dealers
			// TODO: This should be rewritten
            //foreach(@object obj in m_ChannelItem.gameData.objectCollection)
            //{
            //    switch(obj.name)
            //    {
            //        case "Player 1":
            //            try
            //            {
            //                pbPlayer1a.Image = util.GetCardResourceImage(GetCardValue(obj.propertyCollection[0].value), false);
            //            }
            //            catch
            //            {
            //                pbPlayer1a.Image = util.GetCardResourceImage("99", false);
            //            }
						
            //            try
            //            {
            //                pbPlayer1b.Image = util.GetCardResourceImage(GetCardValue(obj.propertyCollection[1].value), false);
            //            }
            //            catch
            //            {
            //                pbPlayer1b.Image = util.GetCardResourceImage("99", false);
            //            }

            //            try
            //            {
            //                pbPlayer1c.Image = util.GetCardResourceImage(GetCardValue(obj.propertyCollection[2].value), false);
            //            }
            //            catch
            //            {
            //                pbPlayer1c.Image = util.GetCardResourceImage("99", false);
            //            }

            //            try
            //            {
            //            pbPlayer1d.Image = util.GetCardResourceImage(GetCardValue(obj.propertyCollection[3].value), false);
            //            }
            //            catch
            //            {
            //                pbPlayer1d.Image = util.GetCardResourceImage("99", false);
            //            }

            //            try
            //            {
            //            pbPlayer1e.Image = util.GetCardResourceImage(GetCardValue(obj.propertyCollection[4].value), false);
            //            }
            //            catch
            //            {
            //                pbPlayer1e.Image = util.GetCardResourceImage("99", false);
            //            }

            //            lblPlayer1Status.Text = obj.status;
            //            lblPlayer1Status.BackColor = GetStatusColour(obj.status);
            //            break;
            //        case "Player 2":
            //            try
            //            {
            //                pbPlayer2a.Image = util.GetCardResourceImage(GetCardValue(obj.propertyCollection[0].value), false);
            //            }
            //            catch
            //            {
            //                pbPlayer2a.Image = util.GetCardResourceImage("99", false);
            //            }
						
            //            try
            //            {
            //                pbPlayer2b.Image = util.GetCardResourceImage(GetCardValue(obj.propertyCollection[1].value), false);
            //            }
            //            catch
            //            {
            //                pbPlayer2b.Image = util.GetCardResourceImage("99", false);
            //            }

            //            try
            //            {
            //                pbPlayer2c.Image = util.GetCardResourceImage(GetCardValue(obj.propertyCollection[2].value), false);
            //            }
            //            catch
            //            {
            //                pbPlayer2c.Image = util.GetCardResourceImage("99", false);
            //            }

            //            try
            //            {
            //                pbPlayer2d.Image = util.GetCardResourceImage(GetCardValue(obj.propertyCollection[3].value), false);
            //            }
            //            catch
            //            {
            //                pbPlayer2d.Image = util.GetCardResourceImage("99", false);
            //            }

            //            try
            //            {
            //                pbPlayer2e.Image = util.GetCardResourceImage(GetCardValue(obj.propertyCollection[4].value), false);
            //            }
            //            catch
            //            {
            //                pbPlayer2e.Image = util.GetCardResourceImage("99", false);
            //            }

            //            lblPlayer2Status.Text = obj.status;
            //            lblPlayer2Status.BackColor = GetStatusColour(obj.status);
            //            break;
            //        case "Player 3":
            //            try
            //            {
            //                pbPlayer3a.Image = util.GetCardResourceImage(GetCardValue(obj.propertyCollection[0].value), false);
            //            }
            //            catch
            //            {
            //                pbPlayer3a.Image = util.GetCardResourceImage("99", false);
            //            }
						
            //            try
            //            {
            //                pbPlayer3b.Image = util.GetCardResourceImage(GetCardValue(obj.propertyCollection[1].value), false);
            //            }
            //            catch
            //            {
            //                pbPlayer3b.Image = util.GetCardResourceImage("99", false);
            //            }

            //            try
            //            {
            //                pbPlayer3c.Image = util.GetCardResourceImage(GetCardValue(obj.propertyCollection[2].value), false);
            //            }
            //            catch
            //            {
            //                pbPlayer3c.Image = util.GetCardResourceImage("99", false);
            //            }

            //            try
            //            {
            //                pbPlayer3d.Image = util.GetCardResourceImage(GetCardValue(obj.propertyCollection[3].value), false);
            //            }
            //            catch
            //            {
            //                pbPlayer3d.Image = util.GetCardResourceImage("99", false);
            //            }

            //            try
            //            {
            //                pbPlayer3e.Image = util.GetCardResourceImage(GetCardValue(obj.propertyCollection[4].value), false);
            //            }
            //            catch
            //            {
            //                pbPlayer3e.Image = util.GetCardResourceImage("99", false);
            //            }

            //            lblPlayer3Status.Text = obj.status;
            //            lblPlayer3Status.BackColor = GetStatusColour(obj.status);
            //            break;
            //        case "Player 4":
            //            try
            //            {
            //                pbPlayer4a.Image = util.GetCardResourceImage(GetCardValue(obj.propertyCollection[0].value), false);
            //            }
            //            catch
            //            {
            //                pbPlayer4a.Image = util.GetCardResourceImage("99", false);
            //            }
						
            //            try
            //            {
            //                pbPlayer4b.Image = util.GetCardResourceImage(GetCardValue(obj.propertyCollection[1].value), false);
            //            }
            //            catch
            //            {
            //                pbPlayer4b.Image = util.GetCardResourceImage("99", false);
            //            }

            //            try
            //            {
            //                pbPlayer4c.Image = util.GetCardResourceImage(GetCardValue(obj.propertyCollection[2].value), false);
            //            }
            //            catch
            //            {
            //                pbPlayer4c.Image = util.GetCardResourceImage("99", false);
            //            }

            //            try
            //            {
            //                pbPlayer4d.Image = util.GetCardResourceImage(GetCardValue(obj.propertyCollection[3].value), false);
            //            }
            //            catch
            //            {
            //                pbPlayer4d.Image = util.GetCardResourceImage("99", false);
            //            }

            //            try
            //            {
            //                pbPlayer4e.Image = util.GetCardResourceImage(GetCardValue(obj.propertyCollection[4].value), false);
            //            }
            //            catch
            //            {
            //                pbPlayer4e.Image = util.GetCardResourceImage("99", false);
            //            }

            //            lblPlayer4Status.Text = obj.status;
            //            lblPlayer4Status.BackColor = GetStatusColour(obj.status);
            //            break;
            //        case "Dealer":
            //            try
            //            {
            //                pbCC1.Image = util.GetCardResourceImage(GetCardValue(obj.propertyCollection[0].value), false);
            //            }
            //            catch
            //            {
            //                pbCC1.Image = util.GetCardResourceImage("99", false);
            //            }
						
            //            try
            //            {
            //                pbCC2.Image = util.GetCardResourceImage(GetCardValue(obj.propertyCollection[1].value), false);
            //            }
            //            catch
            //            {
            //                pbCC2.Image = util.GetCardResourceImage("99", false);
            //            }

            //            try
            //            {
            //                pbCC3.Image = util.GetCardResourceImage(GetCardValue(obj.propertyCollection[2].value), false);
            //            }
            //            catch
            //            {
            //                pbCC3.Image = util.GetCardResourceImage("99", false);
            //            }

            //            try
            //            {
            //                pbCC4.Image = util.GetCardResourceImage(GetCardValue(obj.propertyCollection[3].value), false);
            //            }
            //            catch
            //            {
            //                pbCC4.Image = util.GetCardResourceImage("99", false);
            //            }

            //            try
            //            {
            //                pbCC5.Image = util.GetCardResourceImage(GetCardValue(obj.propertyCollection[4].value), false);
            //            }
            //            catch
            //            {
            //                pbCC5.Image = util.GetCardResourceImage("99", false);
            //            }
            //            break;
            //    }
            //}

            //// Paint the status for the exotics
            //foreach(selectionHistory s in m_ChannelItem.markets.marketCollection[0].selections)
            //{
            //    switch(s.name)
            //    {
            //        case "Dealer wins or ties all":
            //            lblDealerWinsStatus.Text = s.status.ToString();
            //            lblDealerWinsStatus.BackColor = GetStatusColour(s.status.ToString());
            //            break;
            //        case "1 or more has 5 cards":
            //            lblOneOrMoreStatus.Text = s.status.ToString();
            //            lblOneOrMoreStatus.BackColor = GetStatusColour(s.status.ToString());
            //            break;
            //        case "All cards unique":
            //            lblAllCardUniqueStatus.Text = s.status.ToString();
            //            lblAllCardUniqueStatus.BackColor = GetStatusColour(s.status.ToString());
            //            break;
            //        case "Only one has 21pts":
            //            lbl21PointsStatus.Text = s.status.ToString();
            //            lbl21PointsStatus.BackColor = GetStatusColour(s.status.ToString());
            //            break;
            //    }
            //}
		}
	}
}
