using System;
using System.Collections;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Windows.Forms;
using Betfair.Gamex.API;
using Betfair.Gamex.API.Entities;
using System.Reflection;

namespace Betfair.Gamex.API.UberClient
{
	/// <summary>
	/// Summary description for PokerHistory.
	/// </summary>
	public class PokerHistory : System.Windows.Forms.UserControl
	{
		private System.Windows.Forms.Label lblCommunityCards;
		private System.Windows.Forms.PictureBox pbCC5;
		private System.Windows.Forms.PictureBox pbCC4;
		private System.Windows.Forms.PictureBox pbCC3;
		private System.Windows.Forms.PictureBox pbCC2;
		private System.Windows.Forms.PictureBox pbCC1;
		private System.Windows.Forms.Label lblPlayer4;
		private System.Windows.Forms.Label lblPlayer3;
		private System.Windows.Forms.Label lblPlayer2;
		private System.Windows.Forms.Label lblPlayer1;
		private System.Windows.Forms.PictureBox pbPlayer4b;
		private System.Windows.Forms.PictureBox pbPlayer4a;
		private System.Windows.Forms.PictureBox pbPlayer3b;
		private System.Windows.Forms.PictureBox pbPlayer3a;
		private System.Windows.Forms.PictureBox pbPlayer2b;
		private System.Windows.Forms.PictureBox pbPlayer2a;
		private System.Windows.Forms.PictureBox pbPlayer1b;
		private System.Windows.Forms.PictureBox pbPlayer1a;
		/// <summary> 
		/// Required designer variable.
		/// </summary>
		private System.ComponentModel.Container components = null;
		private System.Windows.Forms.Label lblPlayer1Status;
		private System.Windows.Forms.Label lblPlayer2Status;
		private System.Windows.Forms.Label lblPlayer3Status;
		private System.Windows.Forms.Label lblPlayer4Status;
		private System.Windows.Forms.Label label1;
		private System.Windows.Forms.Label label2;
		private System.Windows.Forms.Label lblGameID;
		private System.Windows.Forms.Label lblGameDate;
        private channelSnapshotChannelGame m_ChannelItem;

        public PokerHistory(channelSnapshotChannelGame channelItem)
		{
			// This call is required by the Windows.Forms Form Designer.
			InitializeComponent();

			m_ChannelItem = channelItem;
			DisplayGame();
		}

		/// <summary> 
		/// Clean up any resources being used.
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if(components != null)
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region Component Designer generated code
		/// <summary> 
		/// Required method for Designer support - do not modify 
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{
			System.Resources.ResourceManager resources = new System.Resources.ResourceManager(typeof(PokerHistory));
			this.lblCommunityCards = new System.Windows.Forms.Label();
			this.pbCC5 = new System.Windows.Forms.PictureBox();
			this.pbCC4 = new System.Windows.Forms.PictureBox();
			this.pbCC3 = new System.Windows.Forms.PictureBox();
			this.pbCC2 = new System.Windows.Forms.PictureBox();
			this.pbCC1 = new System.Windows.Forms.PictureBox();
			this.lblPlayer4 = new System.Windows.Forms.Label();
			this.lblPlayer3 = new System.Windows.Forms.Label();
			this.lblPlayer2 = new System.Windows.Forms.Label();
			this.lblPlayer1 = new System.Windows.Forms.Label();
			this.pbPlayer4b = new System.Windows.Forms.PictureBox();
			this.pbPlayer4a = new System.Windows.Forms.PictureBox();
			this.pbPlayer3b = new System.Windows.Forms.PictureBox();
			this.pbPlayer3a = new System.Windows.Forms.PictureBox();
			this.pbPlayer2b = new System.Windows.Forms.PictureBox();
			this.pbPlayer2a = new System.Windows.Forms.PictureBox();
			this.pbPlayer1b = new System.Windows.Forms.PictureBox();
			this.pbPlayer1a = new System.Windows.Forms.PictureBox();
			this.lblPlayer1Status = new System.Windows.Forms.Label();
			this.lblPlayer2Status = new System.Windows.Forms.Label();
			this.lblPlayer3Status = new System.Windows.Forms.Label();
			this.lblPlayer4Status = new System.Windows.Forms.Label();
			this.label1 = new System.Windows.Forms.Label();
			this.label2 = new System.Windows.Forms.Label();
			this.lblGameID = new System.Windows.Forms.Label();
			this.lblGameDate = new System.Windows.Forms.Label();
			this.SuspendLayout();
			// 
			// lblCommunityCards
			// 
			this.lblCommunityCards.BackColor = System.Drawing.Color.Transparent;
			this.lblCommunityCards.Font = new System.Drawing.Font("Microsoft Sans Serif", 6.75F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.lblCommunityCards.ForeColor = System.Drawing.Color.Black;
			this.lblCommunityCards.Location = new System.Drawing.Point(256, 24);
			this.lblCommunityCards.Name = "lblCommunityCards";
			this.lblCommunityCards.Size = new System.Drawing.Size(88, 14);
			this.lblCommunityCards.TabIndex = 27;
			this.lblCommunityCards.Text = "Community Cards:";
			// 
			// pbCC5
			// 
			this.pbCC5.BackColor = System.Drawing.Color.White;
			this.pbCC5.Image = ((System.Drawing.Image)(resources.GetObject("pbCC5.Image")));
			this.pbCC5.Location = new System.Drawing.Point(448, 40);
			this.pbCC5.Name = "pbCC5";
			this.pbCC5.Size = new System.Drawing.Size(44, 60);
			this.pbCC5.TabIndex = 26;
			this.pbCC5.TabStop = false;
			// 
			// pbCC4
			// 
			this.pbCC4.BackColor = System.Drawing.Color.White;
			this.pbCC4.Image = ((System.Drawing.Image)(resources.GetObject("pbCC4.Image")));
			this.pbCC4.Location = new System.Drawing.Point(400, 40);
			this.pbCC4.Name = "pbCC4";
			this.pbCC4.Size = new System.Drawing.Size(44, 60);
			this.pbCC4.TabIndex = 25;
			this.pbCC4.TabStop = false;
			// 
			// pbCC3
			// 
			this.pbCC3.BackColor = System.Drawing.Color.White;
			this.pbCC3.Image = ((System.Drawing.Image)(resources.GetObject("pbCC3.Image")));
			this.pbCC3.Location = new System.Drawing.Point(352, 40);
			this.pbCC3.Name = "pbCC3";
			this.pbCC3.Size = new System.Drawing.Size(44, 60);
			this.pbCC3.TabIndex = 24;
			this.pbCC3.TabStop = false;
			// 
			// pbCC2
			// 
			this.pbCC2.BackColor = System.Drawing.Color.White;
			this.pbCC2.Image = ((System.Drawing.Image)(resources.GetObject("pbCC2.Image")));
			this.pbCC2.Location = new System.Drawing.Point(304, 40);
			this.pbCC2.Name = "pbCC2";
			this.pbCC2.Size = new System.Drawing.Size(44, 60);
			this.pbCC2.TabIndex = 23;
			this.pbCC2.TabStop = false;
			// 
			// pbCC1
			// 
			this.pbCC1.BackColor = System.Drawing.Color.White;
			this.pbCC1.Image = ((System.Drawing.Image)(resources.GetObject("pbCC1.Image")));
			this.pbCC1.Location = new System.Drawing.Point(256, 40);
			this.pbCC1.Name = "pbCC1";
			this.pbCC1.Size = new System.Drawing.Size(44, 60);
			this.pbCC1.TabIndex = 22;
			this.pbCC1.TabStop = false;
			// 
			// lblPlayer4
			// 
			this.lblPlayer4.BackColor = System.Drawing.Color.White;
			this.lblPlayer4.Font = new System.Drawing.Font("Microsoft Sans Serif", 6.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.lblPlayer4.ForeColor = System.Drawing.Color.Black;
			this.lblPlayer4.Location = new System.Drawing.Point(384, 176);
			this.lblPlayer4.Name = "lblPlayer4";
			this.lblPlayer4.Size = new System.Drawing.Size(64, 14);
			this.lblPlayer4.TabIndex = 44;
			this.lblPlayer4.Text = "Player 4";
			this.lblPlayer4.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// lblPlayer3
			// 
			this.lblPlayer3.BackColor = System.Drawing.Color.White;
			this.lblPlayer3.Font = new System.Drawing.Font("Microsoft Sans Serif", 6.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.lblPlayer3.ForeColor = System.Drawing.Color.Black;
			this.lblPlayer3.Location = new System.Drawing.Point(232, 176);
			this.lblPlayer3.Name = "lblPlayer3";
			this.lblPlayer3.Size = new System.Drawing.Size(64, 14);
			this.lblPlayer3.TabIndex = 42;
			this.lblPlayer3.Text = "Player 3";
			this.lblPlayer3.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// lblPlayer2
			// 
			this.lblPlayer2.BackColor = System.Drawing.Color.White;
			this.lblPlayer2.Font = new System.Drawing.Font("Microsoft Sans Serif", 6.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.lblPlayer2.ForeColor = System.Drawing.Color.Black;
			this.lblPlayer2.Location = new System.Drawing.Point(384, 120);
			this.lblPlayer2.Name = "lblPlayer2";
			this.lblPlayer2.Size = new System.Drawing.Size(64, 14);
			this.lblPlayer2.TabIndex = 40;
			this.lblPlayer2.Text = "Player 2";
			this.lblPlayer2.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// lblPlayer1
			// 
			this.lblPlayer1.BackColor = System.Drawing.Color.White;
			this.lblPlayer1.Font = new System.Drawing.Font("Microsoft Sans Serif", 6.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.lblPlayer1.ForeColor = System.Drawing.Color.Black;
			this.lblPlayer1.Location = new System.Drawing.Point(232, 120);
			this.lblPlayer1.Name = "lblPlayer1";
			this.lblPlayer1.Size = new System.Drawing.Size(64, 14);
			this.lblPlayer1.TabIndex = 38;
			this.lblPlayer1.Text = "Player 1";
			this.lblPlayer1.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// pbPlayer4b
			// 
			this.pbPlayer4b.BackColor = System.Drawing.Color.White;
			this.pbPlayer4b.Image = ((System.Drawing.Image)(resources.GetObject("pbPlayer4b.Image")));
			this.pbPlayer4b.Location = new System.Drawing.Point(488, 176);
			this.pbPlayer4b.Name = "pbPlayer4b";
			this.pbPlayer4b.Size = new System.Drawing.Size(30, 35);
			this.pbPlayer4b.TabIndex = 37;
			this.pbPlayer4b.TabStop = false;
			// 
			// pbPlayer4a
			// 
			this.pbPlayer4a.BackColor = System.Drawing.Color.White;
			this.pbPlayer4a.Image = ((System.Drawing.Image)(resources.GetObject("pbPlayer4a.Image")));
			this.pbPlayer4a.Location = new System.Drawing.Point(456, 176);
			this.pbPlayer4a.Name = "pbPlayer4a";
			this.pbPlayer4a.Size = new System.Drawing.Size(30, 35);
			this.pbPlayer4a.TabIndex = 36;
			this.pbPlayer4a.TabStop = false;
			// 
			// pbPlayer3b
			// 
			this.pbPlayer3b.BackColor = System.Drawing.Color.White;
			this.pbPlayer3b.Image = ((System.Drawing.Image)(resources.GetObject("pbPlayer3b.Image")));
			this.pbPlayer3b.Location = new System.Drawing.Point(336, 176);
			this.pbPlayer3b.Name = "pbPlayer3b";
			this.pbPlayer3b.Size = new System.Drawing.Size(30, 35);
			this.pbPlayer3b.TabIndex = 35;
			this.pbPlayer3b.TabStop = false;
			// 
			// pbPlayer3a
			// 
			this.pbPlayer3a.BackColor = System.Drawing.Color.White;
			this.pbPlayer3a.Image = ((System.Drawing.Image)(resources.GetObject("pbPlayer3a.Image")));
			this.pbPlayer3a.Location = new System.Drawing.Point(304, 176);
			this.pbPlayer3a.Name = "pbPlayer3a";
			this.pbPlayer3a.Size = new System.Drawing.Size(30, 35);
			this.pbPlayer3a.TabIndex = 34;
			this.pbPlayer3a.TabStop = false;
			// 
			// pbPlayer2b
			// 
			this.pbPlayer2b.BackColor = System.Drawing.Color.White;
			this.pbPlayer2b.Image = ((System.Drawing.Image)(resources.GetObject("pbPlayer2b.Image")));
			this.pbPlayer2b.Location = new System.Drawing.Point(488, 120);
			this.pbPlayer2b.Name = "pbPlayer2b";
			this.pbPlayer2b.Size = new System.Drawing.Size(30, 35);
			this.pbPlayer2b.TabIndex = 33;
			this.pbPlayer2b.TabStop = false;
			// 
			// pbPlayer2a
			// 
			this.pbPlayer2a.BackColor = System.Drawing.Color.White;
			this.pbPlayer2a.Image = ((System.Drawing.Image)(resources.GetObject("pbPlayer2a.Image")));
			this.pbPlayer2a.Location = new System.Drawing.Point(456, 120);
			this.pbPlayer2a.Name = "pbPlayer2a";
			this.pbPlayer2a.Size = new System.Drawing.Size(30, 35);
			this.pbPlayer2a.TabIndex = 32;
			this.pbPlayer2a.TabStop = false;
			// 
			// pbPlayer1b
			// 
			this.pbPlayer1b.BackColor = System.Drawing.Color.White;
			this.pbPlayer1b.Image = ((System.Drawing.Image)(resources.GetObject("pbPlayer1b.Image")));
			this.pbPlayer1b.Location = new System.Drawing.Point(336, 120);
			this.pbPlayer1b.Name = "pbPlayer1b";
			this.pbPlayer1b.Size = new System.Drawing.Size(30, 35);
			this.pbPlayer1b.TabIndex = 31;
			this.pbPlayer1b.TabStop = false;
			// 
			// pbPlayer1a
			// 
			this.pbPlayer1a.BackColor = System.Drawing.Color.White;
			this.pbPlayer1a.Image = ((System.Drawing.Image)(resources.GetObject("pbPlayer1a.Image")));
			this.pbPlayer1a.Location = new System.Drawing.Point(304, 120);
			this.pbPlayer1a.Name = "pbPlayer1a";
			this.pbPlayer1a.Size = new System.Drawing.Size(30, 35);
			this.pbPlayer1a.TabIndex = 30;
			this.pbPlayer1a.TabStop = false;
			// 
			// lblPlayer1Status
			// 
			this.lblPlayer1Status.BackColor = System.Drawing.Color.Red;
			this.lblPlayer1Status.Font = new System.Drawing.Font("Microsoft Sans Serif", 6.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.lblPlayer1Status.ForeColor = System.Drawing.Color.Black;
			this.lblPlayer1Status.Location = new System.Drawing.Point(232, 136);
			this.lblPlayer1Status.Name = "lblPlayer1Status";
			this.lblPlayer1Status.Size = new System.Drawing.Size(64, 14);
			this.lblPlayer1Status.TabIndex = 45;
			this.lblPlayer1Status.Text = "Status";
			this.lblPlayer1Status.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// lblPlayer2Status
			// 
			this.lblPlayer2Status.BackColor = System.Drawing.Color.Red;
			this.lblPlayer2Status.Font = new System.Drawing.Font("Microsoft Sans Serif", 6.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.lblPlayer2Status.ForeColor = System.Drawing.Color.Black;
			this.lblPlayer2Status.Location = new System.Drawing.Point(384, 136);
			this.lblPlayer2Status.Name = "lblPlayer2Status";
			this.lblPlayer2Status.Size = new System.Drawing.Size(64, 14);
			this.lblPlayer2Status.TabIndex = 46;
			this.lblPlayer2Status.Text = "Status";
			this.lblPlayer2Status.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// lblPlayer3Status
			// 
			this.lblPlayer3Status.BackColor = System.Drawing.Color.Red;
			this.lblPlayer3Status.Font = new System.Drawing.Font("Microsoft Sans Serif", 6.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.lblPlayer3Status.ForeColor = System.Drawing.Color.Black;
			this.lblPlayer3Status.Location = new System.Drawing.Point(232, 192);
			this.lblPlayer3Status.Name = "lblPlayer3Status";
			this.lblPlayer3Status.Size = new System.Drawing.Size(64, 14);
			this.lblPlayer3Status.TabIndex = 47;
			this.lblPlayer3Status.Text = "Status";
			this.lblPlayer3Status.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// lblPlayer4Status
			// 
			this.lblPlayer4Status.BackColor = System.Drawing.Color.Red;
			this.lblPlayer4Status.Font = new System.Drawing.Font("Microsoft Sans Serif", 6.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.lblPlayer4Status.ForeColor = System.Drawing.Color.Black;
			this.lblPlayer4Status.Location = new System.Drawing.Point(384, 192);
			this.lblPlayer4Status.Name = "lblPlayer4Status";
			this.lblPlayer4Status.Size = new System.Drawing.Size(64, 14);
			this.lblPlayer4Status.TabIndex = 48;
			this.lblPlayer4Status.Text = "Status";
			this.lblPlayer4Status.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// label1
			// 
			this.label1.BackColor = System.Drawing.Color.Transparent;
			this.label1.Location = new System.Drawing.Point(8, 24);
			this.label1.Name = "label1";
			this.label1.Size = new System.Drawing.Size(64, 23);
			this.label1.TabIndex = 49;
			this.label1.Text = "Game ID";
			this.label1.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// label2
			// 
			this.label2.BackColor = System.Drawing.Color.Transparent;
			this.label2.Location = new System.Drawing.Point(8, 48);
			this.label2.Name = "label2";
			this.label2.Size = new System.Drawing.Size(64, 23);
			this.label2.TabIndex = 50;
			this.label2.Text = "Date";
			this.label2.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// lblGameID
			// 
			this.lblGameID.BackColor = System.Drawing.Color.White;
			this.lblGameID.BorderStyle = System.Windows.Forms.BorderStyle.FixedSingle;
			this.lblGameID.Location = new System.Drawing.Point(72, 24);
			this.lblGameID.Name = "lblGameID";
			this.lblGameID.Size = new System.Drawing.Size(152, 23);
			this.lblGameID.TabIndex = 51;
			this.lblGameID.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// lblGameDate
			// 
			this.lblGameDate.BackColor = System.Drawing.Color.White;
			this.lblGameDate.BorderStyle = System.Windows.Forms.BorderStyle.FixedSingle;
			this.lblGameDate.Location = new System.Drawing.Point(72, 48);
			this.lblGameDate.Name = "lblGameDate";
			this.lblGameDate.Size = new System.Drawing.Size(152, 23);
			this.lblGameDate.TabIndex = 52;
			this.lblGameDate.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// PokerHistory
			// 
			this.BackColor = System.Drawing.SystemColors.Control;
			this.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("$this.BackgroundImage")));
			this.Controls.Add(this.lblGameDate);
			this.Controls.Add(this.lblGameID);
			this.Controls.Add(this.label2);
			this.Controls.Add(this.label1);
			this.Controls.Add(this.lblPlayer4Status);
			this.Controls.Add(this.lblPlayer3Status);
			this.Controls.Add(this.lblPlayer2Status);
			this.Controls.Add(this.lblPlayer1Status);
			this.Controls.Add(this.lblPlayer4);
			this.Controls.Add(this.lblPlayer3);
			this.Controls.Add(this.lblPlayer2);
			this.Controls.Add(this.lblPlayer1);
			this.Controls.Add(this.pbPlayer4b);
			this.Controls.Add(this.pbPlayer4a);
			this.Controls.Add(this.pbPlayer3b);
			this.Controls.Add(this.pbPlayer3a);
			this.Controls.Add(this.pbPlayer2b);
			this.Controls.Add(this.pbPlayer2a);
			this.Controls.Add(this.pbPlayer1b);
			this.Controls.Add(this.pbPlayer1a);
			this.Controls.Add(this.lblCommunityCards);
			this.Controls.Add(this.pbCC5);
			this.Controls.Add(this.pbCC4);
			this.Controls.Add(this.pbCC3);
			this.Controls.Add(this.pbCC2);
			this.Controls.Add(this.pbCC1);
			this.Name = "PokerHistory";
			this.Size = new System.Drawing.Size(624, 240);
			this.ResumeLayout(false);

		}
		#endregion

		/// <summary>
		/// Paint the details of the current game
		/// </summary>
		private void DisplayGame()
		{
			// Display the game id and date
			lblGameID.Text = m_ChannelItem.id.ToString();
			//lblGameDate.Text = m_ChannelItem.gameData.gameStartDate.ToString();

            //foreach(@object obj in m_ChannelItem.gameData.)
            //{
            //    switch(obj.name)
            //    {
            //        case "Hand 1":
            //            pbPlayer1a.Image = util.GetCardResourceImage(util.GetCardValue(obj.propertyCollection[0].value), false);
            //            pbPlayer1b.Image = util.GetCardResourceImage(util.GetCardValue(obj.propertyCollection[1].value), false);
            //            lblPlayer1Status.Text = obj.status;
            //            lblPlayer1Status.BackColor = GetStatusColour(obj.status);
            //            break;
            //        case "Hand 2":
            //            pbPlayer2a.Image = util.GetCardResourceImage(util.GetCardValue(obj.propertyCollection[0].value), false);
            //            pbPlayer2b.Image = util.GetCardResourceImage(util.GetCardValue(obj.propertyCollection[1].value), false);
            //            lblPlayer2Status.Text = obj.status;
            //            lblPlayer2Status.BackColor = GetStatusColour(obj.status);
            //            break;
            //        case "Hand 3":
            //            pbPlayer3a.Image = util.GetCardResourceImage(util.GetCardValue(obj.propertyCollection[0].value), false);
            //            pbPlayer3b.Image = util.GetCardResourceImage(util.GetCardValue(obj.propertyCollection[1].value), false);
            //            lblPlayer3Status.Text = obj.status;
            //            lblPlayer3Status.BackColor = GetStatusColour(obj.status);
            //            break;
            //        case "Hand 4":
            //            pbPlayer4a.Image = util.GetCardResourceImage(util.GetCardValue(obj.propertyCollection[0].value), false);
            //            pbPlayer4b.Image = util.GetCardResourceImage(util.GetCardValue(obj.propertyCollection[1].value), false);
            //            lblPlayer4Status.Text = obj.status;
            //            lblPlayer4Status.BackColor = GetStatusColour(obj.status);
            //            break;
            //        case "Community Cards":
            //            pbCC1.Image = util.GetCardResourceImage(util.GetCardValue(obj.propertyCollection[0].value), true);
            //            pbCC2.Image = util.GetCardResourceImage(util.GetCardValue(obj.propertyCollection[1].value), true);
            //            pbCC3.Image = util.GetCardResourceImage(util.GetCardValue(obj.propertyCollection[2].value), true);
            //            pbCC4.Image = util.GetCardResourceImage(util.GetCardValue(obj.propertyCollection[3].value), true);
            //            pbCC5.Image = util.GetCardResourceImage(util.GetCardValue(obj.propertyCollection[4].value), true);
            //            break;
            //    }
            //}
		}
	}
}
